2025-10-23 13:04:01,317 - INFO - ya.test - pytest_runtest_setup: ####################################################################################################
2025-10-23 13:04:01,318 - INFO - ya.test - pytest_runtest_setup: test[Query01]
2025-10-23 13:04:01,319 - INFO - ya.test - pytest_runtest_setup: ####################################################################################################
2025-10-23 13:04:01,320 - INFO - ya.test - pytest_runtest_setup: Test setup
2025-10-23 13:04:01,433 - DEBUG - ya.test - get_binary: Binary was found by /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd
2025-10-23 13:04:01,441 - DEBUG - library.python.filelock - acquire: Acquiring FileLock (blocking=False): /home/runner/.ya/build/port_sync_dir/3876
2025-10-23 13:04:01,442 - DEBUG - ydb.tests.library.harness.kikimr_runner - start: Working directory: /home/runner/.ya/build/build_root/9bm4/00298e/r3tmp/kikimr_cluster_vu2imts_
2025-10-23 13:04:01,489 - DEBUG - ya.test - get_binary: Binary was found by /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd
2025-10-23 13:04:01,489 - DEBUG - library.python.filelock - acquire: Acquiring FileLock (blocking=False): /home/runner/.ya/build/port_sync_dir/8799
2025-10-23 13:04:01,490 - DEBUG - library.python.filelock - acquire: Acquiring FileLock (blocking=False): /home/runner/.ya/build/port_sync_dir/24642
2025-10-23 13:04:01,490 - DEBUG - library.python.filelock - acquire: Acquiring FileLock (blocking=False): /home/runner/.ya/build/port_sync_dir/13837
2025-10-23 13:04:01,491 - DEBUG - library.python.filelock - acquire: Acquiring FileLock (blocking=False): /home/runner/.ya/build/port_sync_dir/3086
2025-10-23 13:04:01,494 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out
2025-10-23 13:04:01,494 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err
2025-10-23 13:04:01,495 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', 'server', '--help']' in 'None' (waiting)
2025-10-23 13:04:01,496 - DEBUG - ya.test - execute: Command pid: 2700250
2025-10-23 13:04:02,361 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) rc: 0
2025-10-23 13:04:02,361 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) elapsed time (sec): 0.8631973266601562
2025-10-23 13:04:02,362 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) idrss: 0
2025-10-23 13:04:02,362 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) inblock: 0
2025-10-23 13:04:02,362 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) isrss: 0
2025-10-23 13:04:02,362 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) ixrss: 0
2025-10-23 13:04:02,363 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) majflt: 0
2025-10-23 13:04:02,363 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) maxrss: 574820
2025-10-23 13:04:02,363 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) minflt: 45962
2025-10-23 13:04:02,363 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) msgrcv: 0
2025-10-23 13:04:02,367 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) msgsnd: 0
2025-10-23 13:04:02,367 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) nivcsw: 116
2025-10-23 13:04:02,368 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) nsignals: 0
2025-10-23 13:04:02,368 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) nswap: 0
2025-10-23 13:04:02,368 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) nvcsw: 15
2025-10-23 13:04:02,369 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) oublock: 24
2025-10-23 13:04:02,369 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) stime: 0.193801
2025-10-23 13:04:02,369 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) utime: 0.525455
2025-10-23 13:04:02,369 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) wtime: 0.865
2025-10-23 13:04:02,370 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) output:
Usage: ydbd [global options...] server [options...]

Description: Execute YDB server

Global options:
  {-k|--token}, {-s|--server}, {-t|--time}, {-o|--progress}, --ca-file, --client-cert-file, --client-cert-key-file, --client-cert-key-password-file, {-f|--token-file}, --profile, --user, --password-file, --no-password
  To get full description of these options run 'ydbd --help'.

Options:
  {-h|--help}               Print usage, -hh for detailed help
  --breakpad-minidumps-path PATH
                            Path for minidumps generated by internal breakpad
  --breakpad-minidumps-script SCRIPT
                            Script for process minidumps generated by internal breakpad
  --cluster-name [STR]      which cluster this node belongs to (default: "unknown")
  --log-level [1-7]         default logging level (default: 4)
  --log-sampling-level [1-7]
                            sample logs equal to or above this level (default: 7)
  --log-sampling-rate [0,4294967295]
                            log only each Nth message with priority matching sampling level; 0 turns log sampling off (default: 0)
  --log-format [full|short|json]
                            log format to use; short skips the priority and timestamp (default: "full")
  --syslog                  send to syslog instead of stderr (default: 0)
  --syslog-service-tag NAME unique tag for syslog
  --log-file-name NAME      file name for log backend
  --tcp                     start tcp interconnect (default: 0)
  {-n|--node} [NUM|static]  Node ID or 'static' to auto-detect using naming file and ic-port.
  --node-broker ADDR        node broker address host:port
  --node-broker-port PORT   node broker port (hosts from naming file are used)
  --node-broker-use-tls PORT
                            use tls for node broker (hosts from naming file are used)
  --node-address ADDR       address for dynamic node
  --bridge-pile-name PILE   pile name for bridged mode
  --node-host NAME          hostname for dynamic node
  --node-resolve-host NAME  resolve hostname for dynamic node
  --node-domain NAME        domain for dynamic node to register in
  --ic-port NUM             interconnect port
  --sqs-port NUM            sqs port
  --tenant NAME             add binding for Local service to specified tenant, might be one of {'/<root>', '/<root>/<path_to_user>'}
  --mon-port [NUM]          Monitoring port
  --mon-address [ADDR]      Monitoring address
  --mon-cert [PATH]         Monitoring certificate (https)
  --mon-threads NUM         Monitoring http server threads
  --suppress-version-check  Suppress version compatibility checking via IC (default: 0)
  --grpc-port PORT          enable gRPC server on port
  --grpcs-port PORT         enable gRPC SSL server on port
  --grpc-public-host HOST   set public gRPC host for discovery
  --grpc-public-port PORT   set public gRPC port for discovery
  --grpcs-public-port PORT  set public gRPC SSL port for discovery
  --kafka-port [PORT]       enable kafka proxy to listen on port
  --pgwire-address ADDR     set host for listen postgres protocol
  --pgwire-port [PORT]      set port for listen postgres protocol
  --grpc-public-address-v4 ADDR
                            set public ipv4 address for discovery
  --grpc-public-address-v6 ADDR
                            set public ipv6 address for discovery
  --grpc-public-target-name-override HOST
                            set public hostname override for TLS in discovery
  {-r|--restarts-count-file} [PATH]
                            State for restarts monitoring counter,
                            use empty string to disable (default: "")
  --compile-inflight-limit [NUM]
                            Limit on parallel programs compilation
  --udf VAL                 Load shared library with UDF by given path
  --udfs-dir VAL            Load all shared libraries with UDFs found in given directory
  --node-kind NAME          Kind of the node (affects list of services activated allowed values are {'ydb', 'yq'} )
  --node-type NAME          Type of the node
  --cert PATH               Path to client certificate file (PEM) for interconnect
  --grpc-cert PATH          Path to client certificate file (PEM) for grpc
  --ic-cert PATH            Path to client certificate file (PEM) for interconnect
  --key PATH                Path to private key file (PEM) for interconnect
  --grpc-key PATH           Path to private key file (PEM) for grpc
  --ic-key PATH             Path to private key file (PEM) for interconnect
  --ca PATH                 Path to certificate authority file (PEM) for interconnect
  --grpc-ca PATH            Path to certificate authority file (PEM) for grpc
  --ic-ca PATH              Path to certificate authority file (PEM) for interconnect
  --data-center NAME        data center name (used to describe dynamic node location)
  --module NAME             module name (used to describe dynamic node location)
  --rack NAME               rack name (used to describe dynamic node location)
  --body NUM                body name (used to describe dynamic node location)
  --yaml-config [PATH]      Yaml config
  --config-dir PATH         Directory to store Yaml config
  --tiny-mode               Start in a tiny mode (default: 0)
  --workload NAME           Workload to be served by this node, allowed values are 'hybrid', 'analytical', 'operational'
  --seed-nodes PATH         Path to seed nodes configuration file
  --mbus                    Start MessageBus proxy (default: 0)
  --mbus-port PORT          MessageBus proxy port
  --mbus-trace-path PATH    Path for trace files
  --proxy ADDR              Bind to proxy(-ies)
  --mbus-total-timeout MILLISECONDS default: 300000
  --mbus-connect-timeout MILLISECONDS default: 15000
  --mbus-send-timeout MILLISECONDS default: 0
  --mbus-send-threshold BYTES default: 10240
  --mbus-max-in-flight COUNT default: 16508248
  --mbus-max-in-flight-by-size BYTES default: 16904445952
  --mbus-per-con-max-in-flight COUNT default: 0
  --mbus-per-con-max-in-flight-by-size BYTES default: 0
  --mbus-default-buffer-size BYTES default: 10240
  --mbus-max-buffer-size BYTES default: 1048576
  --mbus-max-message-size BYTES default: 27262976
  --mbus-socket-recv-buffer-size BYTES default: 0
  --mbus-socket-send-buffer-size BYTES default: 0
  --mbus-socket-tos [0x00, 0xFF] 
  --mbus-tcp-cork BOOL      default: 0
  --mbus-cork SECONDS       default: 0
  --mbus-on-message-in-pool BOOL default: 1
  --mbus-on-reply-in-pool BOOL default: 1
  --mbus-worker-count COUNT default: 16
  --label KEY=VALUE         labels for this node
  --alloc-file [PATH]       Allocator config file
  --audit-file [PATH]       File with audit config
  --auth-file [PATH]        authorization configuration
  --auth-token-file [PATH]  authorization token configuration
  --bootstrap-file [PATH]   Bootstrap config file
  --bs-file [PATH]          blobstorage config file
  --channels-file [PATH]    tablet channel profile config file
  --cms-file [PATH]         CMS config file
  --domains-file [PATH]     domain config file
  --drivemodel-file [PATH]  drive model config file
  --dyn-nodes-file [PATH]   Dynamic nodes config file
  --feature-flags-file [PATH]
                            File with feature flags to turn new features on/off
  --fq-file [PATH]          Federated Query config file
  --grpc-file [PATH]        gRPC config file
  --http-proxy-file [PATH]  Http proxy config file
  --ic-file [PATH]          interconnect config file
  --incrhuge-file [PATH]    incremental huge blob keeper config file
  --key-file [PATH]         tenant encryption key configuration
  --kqp-file [PATH]         Kikimr Query Processor config file
  --log-file [PATH]         log config file
  --memorylog-file [PATH]   set buffer size for memory log
  --metering-file [PATH]    File with metering config
  --naming-file [PATH]      static nameservice config file
  --netclassifier-file [PATH]
                            NetClassifier config file
  --pdisk-key-file [PATH]   pdisk encryption key configuration
  --pq-file [PATH]          PersQueue config file
  --pqcd-file [PATH]        PersQueue cluster discovery config file
  --public-http-file [PATH] Public HTTP config file
  --rb-file [PATH]          File with resource broker customizations
  --sqs-file [PATH]         SQS config file
  --sys-file [PATH]         actor system config file (use dummy config by default)
  --vdisk-file [PATH]       vdisk kind config file

Free args: min: 0, max: unlimited
  PATH  path to protobuf file; files are merged in order in which they are enlisted

2025-10-23 13:04:02,370 - DEBUG - ya.test - _save_outputs: Command (pid 2700250) errors:

2025-10-23 13:04:02,371 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: CFG_DIR_PATH="/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/kikimr_configs"
2025-10-23 13:04:02,373 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: Final command: /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd server --suppress-version-check --yaml-config=$CFG_DIR_PATH/config.yaml --node=1 --log-file-name=/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/node_1/logfile_smvdbt5o.log --grpc-port=8799 --mon-port=24642 --ic-port=3876 --module=1
2025-10-23 13:04:02,374 - DEBUG - ydb.tests.library.harness.kikimr_runner - format_pdisk: Formatting pdisk SectorMap:1:64 on node localhost:8799/1, disk_size 68719476736
2025-10-23 13:04:02,375 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out.0
2025-10-23 13:04:02,376 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err.0
2025-10-23 13:04:02,376 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', 'server', '--help']' in 'None' (waiting)
2025-10-23 13:04:02,378 - DEBUG - ya.test - execute: Command pid: 2700867
2025-10-23 13:04:03,208 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) rc: 0
2025-10-23 13:04:03,208 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) elapsed time (sec): 0.8286290168762207
2025-10-23 13:04:03,208 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) idrss: 0
2025-10-23 13:04:03,209 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) inblock: 0
2025-10-23 13:04:03,210 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) isrss: 0
2025-10-23 13:04:03,210 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) ixrss: 0
2025-10-23 13:04:03,211 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) majflt: 0
2025-10-23 13:04:03,212 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) maxrss: 575840
2025-10-23 13:04:03,220 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) minflt: 45977
2025-10-23 13:04:03,221 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) msgrcv: 0
2025-10-23 13:04:03,221 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) msgsnd: 0
2025-10-23 13:04:03,231 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) nivcsw: 128
2025-10-23 13:04:03,236 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) nsignals: 0
2025-10-23 13:04:03,237 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) nswap: 0
2025-10-23 13:04:03,238 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) nvcsw: 14
2025-10-23 13:04:03,242 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) oublock: 24
2025-10-23 13:04:03,243 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) stime: 0.20995999999999998
2025-10-23 13:04:03,245 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) utime: 0.503016
2025-10-23 13:04:03,245 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) wtime: 0.83
2025-10-23 13:04:03,246 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) output:
Usage: ydbd [global options...] server [options...]

Description: Execute YDB server

Global options:
  {-k|--token}, {-s|--server}, {-t|--time}, {-o|--progress}, --ca-file, --client-cert-file, --client-cert-key-file, --client-cert-key-password-file, {-f|--token-file}, --profile, --user, --password-file, --no-password
  To get full description of these options run 'ydbd --help'.

Options:
  {-h|--help}               Print usage, -hh for detailed help
  --breakpad-minidumps-path PATH
                            Path for minidumps generated by internal breakpad
  --breakpad-minidumps-script SCRIPT
                            Script for process minidumps generated by internal breakpad
  --cluster-name [STR]      which cluster this node belongs to (default: "unknown")
  --log-level [1-7]         default logging level (default: 4)
  --log-sampling-level [1-7]
                            sample logs equal to or above this level (default: 7)
  --log-sampling-rate [0,4294967295]
                            log only each Nth message with priority matching sampling level; 0 turns log sampling off (default: 0)
  --log-format [full|short|json]
                            log format to use; short skips the priority and timestamp (default: "full")
  --syslog                  send to syslog instead of stderr (default: 0)
  --syslog-service-tag NAME unique tag for syslog
  --log-file-name NAME      file name for log backend
  --tcp                     start tcp interconnect (default: 0)
  {-n|--node} [NUM|static]  Node ID or 'static' to auto-detect using naming file and ic-port.
  --node-broker ADDR        node broker address host:port
  --node-broker-port PORT   node broker port (hosts from naming file are used)
  --node-broker-use-tls PORT
                            use tls for node broker (hosts from naming file are used)
  --node-address ADDR       address for dynamic node
  --bridge-pile-name PILE   pile name for bridged mode
  --node-host NAME          hostname for dynamic node
  --node-resolve-host NAME  resolve hostname for dynamic node
  --node-domain NAME        domain for dynamic node to register in
  --ic-port NUM             interconnect port
  --sqs-port NUM            sqs port
  --tenant NAME             add binding for Local service to specified tenant, might be one of {'/<root>', '/<root>/<path_to_user>'}
  --mon-port [NUM]          Monitoring port
  --mon-address [ADDR]      Monitoring address
  --mon-cert [PATH]         Monitoring certificate (https)
  --mon-threads NUM         Monitoring http server threads
  --suppress-version-check  Suppress version compatibility checking via IC (default: 0)
  --grpc-port PORT          enable gRPC server on port
  --grpcs-port PORT         enable gRPC SSL server on port
  --grpc-public-host HOST   set public gRPC host for discovery
  --grpc-public-port PORT   set public gRPC port for discovery
  --grpcs-public-port PORT  set public gRPC SSL port for discovery
  --kafka-port [PORT]       enable kafka proxy to listen on port
  --pgwire-address ADDR     set host for listen postgres protocol
  --pgwire-port [PORT]      set port for listen postgres protocol
  --grpc-public-address-v4 ADDR
                            set public ipv4 address for discovery
  --grpc-public-address-v6 ADDR
                            set public ipv6 address for discovery
  --grpc-public-target-name-override HOST
                            set public hostname override for TLS in discovery
  {-r|--restarts-count-file} [PATH]
                            State for restarts monitoring counter,
                            use empty string to disable (default: "")
  --compile-inflight-limit [NUM]
                            Limit on parallel programs compilation
  --udf VAL                 Load shared library with UDF by given path
  --udfs-dir VAL            Load all shared libraries with UDFs found in given directory
  --node-kind NAME          Kind of the node (affects list of services activated allowed values are {'ydb', 'yq'} )
  --node-type NAME          Type of the node
  --cert PATH               Path to client certificate file (PEM) for interconnect
  --grpc-cert PATH          Path to client certificate file (PEM) for grpc
  --ic-cert PATH            Path to client certificate file (PEM) for interconnect
  --key PATH                Path to private key file (PEM) for interconnect
  --grpc-key PATH           Path to private key file (PEM) for grpc
  --ic-key PATH             Path to private key file (PEM) for interconnect
  --ca PATH                 Path to certificate authority file (PEM) for interconnect
  --grpc-ca PATH            Path to certificate authority file (PEM) for grpc
  --ic-ca PATH              Path to certificate authority file (PEM) for interconnect
  --data-center NAME        data center name (used to describe dynamic node location)
  --module NAME             module name (used to describe dynamic node location)
  --rack NAME               rack name (used to describe dynamic node location)
  --body NUM                body name (used to describe dynamic node location)
  --yaml-config [PATH]      Yaml config
  --config-dir PATH         Directory to store Yaml config
  --tiny-mode               Start in a tiny mode (default: 0)
  --workload NAME           Workload to be served by this node, allowed values are 'hybrid', 'analytical', 'operational'
  --seed-nodes PATH         Path to seed nodes configuration file
  --mbus                    Start MessageBus proxy (default: 0)
  --mbus-port PORT          MessageBus proxy port
  --mbus-trace-path PATH    Path for trace files
  --proxy ADDR              Bind to proxy(-ies)
  --mbus-total-timeout MILLISECONDS default: 300000
  --mbus-connect-timeout MILLISECONDS default: 15000
  --mbus-send-timeout MILLISECONDS default: 0
  --mbus-send-threshold BYTES default: 10240
  --mbus-max-in-flight COUNT default: 16508248
  --mbus-max-in-flight-by-size BYTES default: 16904445952
  --mbus-per-con-max-in-flight COUNT default: 0
  --mbus-per-con-max-in-flight-by-size BYTES default: 0
  --mbus-default-buffer-size BYTES default: 10240
  --mbus-max-buffer-size BYTES default: 1048576
  --mbus-max-message-size BYTES default: 27262976
  --mbus-socket-recv-buffer-size BYTES default: 0
  --mbus-socket-send-buffer-size BYTES default: 0
  --mbus-socket-tos [0x00, 0xFF] 
  --mbus-tcp-cork BOOL      default: 0
  --mbus-cork SECONDS       default: 0
  --mbus-on-message-in-pool BOOL default: 1
  --mbus-on-reply-in-pool BOOL default: 1
  --mbus-worker-count COUNT default: 16
  --label KEY=VALUE         labels for this node
  --alloc-file [PATH]       Allocator config file
  --audit-file [PATH]       File with audit config
  --auth-file [PATH]        authorization configuration
  --auth-token-file [PATH]  authorization token configuration
  --bootstrap-file [PATH]   Bootstrap config file
  --bs-file [PATH]          blobstorage config file
  --channels-file [PATH]    tablet channel profile config file
  --cms-file [PATH]         CMS config file
  --domains-file [PATH]     domain config file
  --drivemodel-file [PATH]  drive model config file
  --dyn-nodes-file [PATH]   Dynamic nodes config file
  --feature-flags-file [PATH]
                            File with feature flags to turn new features on/off
  --fq-file [PATH]          Federated Query config file
  --grpc-file [PATH]        gRPC config file
  --http-proxy-file [PATH]  Http proxy config file
  --ic-file [PATH]          interconnect config file
  --incrhuge-file [PATH]    incremental huge blob keeper config file
  --key-file [PATH]         tenant encryption key configuration
  --kqp-file [PATH]         Kikimr Query Processor config file
  --log-file [PATH]         log config file
  --memorylog-file [PATH]   set buffer size for memory log
  --metering-file [PATH]    File with metering config
  --naming-file [PATH]      static nameservice config file
  --netclassifier-file [PATH]
                            NetClassifier config file
  --pdisk-key-file [PATH]   pdisk encryption key configuration
  --pq-file [PATH]          PersQueue config file
  --pqcd-file [PATH]        PersQueue cluster discovery config file
  --public-http-file [PATH] Public HTTP config file
  --rb-file [PATH]          File with resource broker customizations
  --sqs-file [PATH]         SQS config file
  --sys-file [PATH]         actor system config file (use dummy config by default)
  --vdisk-file [PATH]       vdisk kind config file

Free args: min: 0, max: unlimited
  PATH  path to protobuf file; files are merged in order in which they are enlisted

2025-10-23 13:04:03,247 - DEBUG - ya.test - _save_outputs: Command (pid 2700867) errors:

2025-10-23 13:04:03,248 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: CFG_DIR_PATH="/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/kikimr_configs"
2025-10-23 13:04:03,248 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: Final command: /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd server --suppress-version-check --yaml-config=$CFG_DIR_PATH/config.yaml --node=1 --log-file-name=/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/node_1/logfile_smvdbt5o.log --grpc-port=8799 --mon-port=24642 --ic-port=3876 --module=1
2025-10-23 13:04:03,253 - DEBUG - ya.test - execute: Executing '('/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', 'server', '--suppress-version-check', '--yaml-config=/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/kikimr_configs/config.yaml', '--node=1', '--log-file-name=/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/node_1/logfile_smvdbt5o.log', '--grpc-port=8799', '--mon-port=24642', '--ic-port=3876', '--module=1')' in '/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/node_1' (no wait)
2025-10-23 13:04:03,263 - DEBUG - ya.test - execute: Command pid: 2701365
2025-10-23 13:04:03,264 - INFO - ydb.tests.library.harness.kikimr_runner - start: Started node localhost:8799/1
2025-10-23 13:04:03,266 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out.1
2025-10-23 13:04:03,268 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err.1
2025-10-23 13:04:03,269 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', '-V']' in 'None' (waiting)
2025-10-23 13:04:03,271 - DEBUG - ya.test - execute: Command pid: 2701391
2025-10-23 13:04:04,083 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) rc: 0
2025-10-23 13:04:04,084 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) elapsed time (sec): 0.8091514110565186
2025-10-23 13:04:04,084 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) idrss: 0
2025-10-23 13:04:04,086 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) inblock: 0
2025-10-23 13:04:04,086 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) isrss: 0
2025-10-23 13:04:04,087 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) ixrss: 0
2025-10-23 13:04:04,090 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) majflt: 0
2025-10-23 13:04:04,093 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) maxrss: 577608
2025-10-23 13:04:04,099 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) minflt: 45082
2025-10-23 13:04:04,100 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) msgrcv: 0
2025-10-23 13:04:04,101 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) msgsnd: 0
2025-10-23 13:04:04,103 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) nivcsw: 304
2025-10-23 13:04:04,104 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) nsignals: 0
2025-10-23 13:04:04,105 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) nswap: 0
2025-10-23 13:04:04,105 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) nvcsw: 14
2025-10-23 13:04:04,107 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) oublock: 8
2025-10-23 13:04:04,109 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) stime: 0.21825899999999998
2025-10-23 13:04:04,110 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) utime: 0.46054
2025-10-23 13:04:04,112 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) wtime: 0.812
2025-10-23 13:04:04,153 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) output:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582

Other info:
    Build by: runner
    Top src dir: /home/runner/actions_runner/_work/ydb/ydb
    Top build dir: /home/runner/.ya/build
    Hostname: ghrun-6mxvg3lfr4
    Host information: 
        Linux ghrun-6mxvg3lfr4 5.15.0-157-generic #167-Ubuntu SMP Wed Sep 17 21:35:53 UTC 2025 x86_64

    
Build info:
    Compiler: /home/runner/.ya/tools/v4/9944335923/bin/clang++
    Compiler version: 
        clang version 20.1.8
        Target: x86_64-unknown-linux-gnu
        Thread model: posix
        InstalledDir: /home/runner/.ya/tools/v4/9944335923/bin
    Compile flags: -Xclang -fdebug-compilation-dir -Xclang /tmp -pipe -m64 -O3 -gline-tables-only -fno-common -ffunction-sections -fdata-sections -fsized-deallocation -fexceptions -fuse-init-array -fcolor-diagnostics -faligned-allocation -Werror -Wall -Wextra -Wno-parentheses -Wno-implicit-const-int-float-conversion -Wno-unknown-warning-option -D_THREAD_SAFE -D_PTHREADS -D_REENTRANT -D_LARGEFILE_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D_YNDX_LIBUNWIND_ENABLE_EXCEPTION_BACKTRACE -D__LONG_LONG_SUPPORTED -fno-omit-frame-pointer -Wno-unknown-argument -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -DCATBOOST_OPENSOURCE=yes -fsanitize=address -Daddress_sanitizer_enabled -fno-omit-frame-pointer -fsanitize-blacklist=/home/runner/actions_runner/_work/ydb/ydb/build/sanitize-blacklist.txt -fno-sanitize-link-runtime -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mcx16 -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -std=c++20 -Wimport-preprocessor-directive-pedantic -Woverloaded-virtual -Wno-ambiguous-reversed-operator -Wno-defaulted-function-deleted -Wno-deprecated-anon-enum-enum-conversion -Wno-deprecated-enum-enum-conversion -Wno-deprecated-enum-float-conversion -Wno-deprecated-volatile -Wno-pessimizing-move -Wno-undefined-var-template -nostdinc++ -DCATBOOST_OPENSOURCE=yes -nostdinc++

2025-10-23 13:04:04,160 - DEBUG - ya.test - _save_outputs: Command (pid 2701391) errors:

2025-10-23 13:04:04,164 - INFO - ydb.tests.library.harness.kikimr_runner - start: Node 1 version:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582
2025-10-23 13:04:06,826 - DEBUG - ya.test - get_binary: Binary was found by /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd
2025-10-23 13:04:06,827 - DEBUG - ydb.tests.library.harness.kikimr_runner - __call_kikimr_new_cli: Executing command = ['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', '--server=grpc://localhost:8799', 'admin', 'blobstorage', 'config', 'invoke', '--proto=Command {\n  DefineHostConfig {\n    HostConfigId: 1\n    Drive {\n      Path: "SectorMap:1:64"\n    }\n  }\n}\nCommand {\n  DefineBox {\n    BoxId: 1\n    Host {\n      Key {\n        Fqdn: "localhost"\n        IcPort: 3876\n      }\n      HostConfigId: 1\n    }\n  }\n}\n']
2025-10-23 13:04:06,828 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out.2
2025-10-23 13:04:06,829 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err.2
2025-10-23 13:04:06,829 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', '--server=grpc://localhost:8799', 'admin', 'blobstorage', 'config', 'invoke', '--proto=Command {\n  DefineHostConfig {\n    HostConfigId: 1\n    Drive {\n      Path: "SectorMap:1:64"\n    }\n  }\n}\nCommand {\n  DefineBox {\n    BoxId: 1\n    Host {\n      Key {\n        Fqdn: "localhost"\n        IcPort: 3876\n      }\n      HostConfigId: 1\n    }\n  }\n}\n']' in 'None' (waiting)
2025-10-23 13:04:06,831 - DEBUG - ya.test - execute: Command pid: 2703467
2025-10-23 13:04:07,730 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) rc: 0
2025-10-23 13:04:07,731 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) elapsed time (sec): 0.8978378772735596
2025-10-23 13:04:07,731 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) idrss: 0
2025-10-23 13:04:07,732 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) inblock: 0
2025-10-23 13:04:07,732 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) isrss: 0
2025-10-23 13:04:07,732 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) ixrss: 0
2025-10-23 13:04:07,732 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) majflt: 0
2025-10-23 13:04:07,733 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) maxrss: 646604
2025-10-23 13:04:07,733 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) minflt: 51459
2025-10-23 13:04:07,733 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) msgrcv: 0
2025-10-23 13:04:07,733 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) msgsnd: 0
2025-10-23 13:04:07,734 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) nivcsw: 64
2025-10-23 13:04:07,734 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) nsignals: 0
2025-10-23 13:04:07,734 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) nswap: 0
2025-10-23 13:04:07,734 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) nvcsw: 718
2025-10-23 13:04:07,735 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) oublock: 8
2025-10-23 13:04:07,735 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) stime: 0.28257299999999996
2025-10-23 13:04:07,747 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) utime: 0.557342
2025-10-23 13:04:07,747 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) wtime: 0.9
2025-10-23 13:04:07,747 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) output:
Status {
  Success: true
}
Status {
  Success: true
}
Success: true
ConfigTxSeqNo: 5

2025-10-23 13:04:07,747 - DEBUG - ya.test - _save_outputs: Command (pid 2703467) errors:

2025-10-23 13:04:07,749 - DEBUG - ya.test - get_binary: Binary was found by /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd
2025-10-23 13:04:07,749 - DEBUG - ydb.tests.library.harness.kikimr_runner - __call_kikimr_new_cli: Executing command = ['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', '--server=grpc://localhost:8799', 'admin', 'blobstorage', 'config', 'invoke', '--proto=Command {\n  DefineStoragePool {\n    BoxId: 1\n    StoragePoolId: 1\n    Name: "dynamic_storage_pool:1"\n    ErasureSpecies: "none"\n    VDiskKind: "Default"\n    Kind: "hdd"\n    NumGroups: 2\n    PDiskFilter {\n      Property {\n        Type: ROT\n      }\n      Property {\n        Kind: 0\n      }\n    }\n  }\n}\n']
2025-10-23 13:04:07,751 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out.3
2025-10-23 13:04:07,753 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err.3
2025-10-23 13:04:07,753 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', '--server=grpc://localhost:8799', 'admin', 'blobstorage', 'config', 'invoke', '--proto=Command {\n  DefineStoragePool {\n    BoxId: 1\n    StoragePoolId: 1\n    Name: "dynamic_storage_pool:1"\n    ErasureSpecies: "none"\n    VDiskKind: "Default"\n    Kind: "hdd"\n    NumGroups: 2\n    PDiskFilter {\n      Property {\n        Type: ROT\n      }\n      Property {\n        Kind: 0\n      }\n    }\n  }\n}\n']' in 'None' (waiting)
2025-10-23 13:04:07,755 - DEBUG - ya.test - execute: Command pid: 2703740
2025-10-23 13:04:08,696 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) rc: 0
2025-10-23 13:04:08,696 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) elapsed time (sec): 0.9400529861450195
2025-10-23 13:04:08,697 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) idrss: 0
2025-10-23 13:04:08,697 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) inblock: 0
2025-10-23 13:04:08,697 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) isrss: 0
2025-10-23 13:04:08,697 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) ixrss: 0
2025-10-23 13:04:08,697 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) majflt: 0
2025-10-23 13:04:08,698 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) maxrss: 646880
2025-10-23 13:04:08,698 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) minflt: 51476
2025-10-23 13:04:08,698 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) msgrcv: 0
2025-10-23 13:04:08,698 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) msgsnd: 0
2025-10-23 13:04:08,699 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) nivcsw: 102
2025-10-23 13:04:08,703 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) nsignals: 0
2025-10-23 13:04:08,706 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) nswap: 0
2025-10-23 13:04:08,707 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) nvcsw: 862
2025-10-23 13:04:08,707 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) oublock: 8
2025-10-23 13:04:08,707 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) stime: 0.300492
2025-10-23 13:04:08,708 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) utime: 0.514547
2025-10-23 13:04:08,708 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) wtime: 0.942
2025-10-23 13:04:08,708 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) output:
Status {
  Success: true
}
Success: true
ConfigTxSeqNo: 6

2025-10-23 13:04:08,708 - DEBUG - ya.test - _save_outputs: Command (pid 2703740) errors:

2025-10-23 13:04:08,709 - INFO - ydb.tests.library.harness.kikimr_runner - __run: Binding storage pools to domain local: {'dynamic_storage_pool:1': 'hdd'}
2025-10-23 13:04:08,760 - INFO - ydb.tests.library.harness.kikimr_runner - __run: Cluster started and initialized
2025-10-23 13:04:09,319 - DEBUG - ya.test - get_binary: Binary was found by /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd
2025-10-23 13:04:09,320 - DEBUG - library.python.filelock - acquire: Acquiring FileLock (blocking=False): /home/runner/.ya/build/port_sync_dir/62059
2025-10-23 13:04:09,321 - DEBUG - library.python.filelock - acquire: Acquiring FileLock (blocking=False): /home/runner/.ya/build/port_sync_dir/5409
2025-10-23 13:04:09,321 - DEBUG - library.python.filelock - acquire: Acquiring FileLock (blocking=False): /home/runner/.ya/build/port_sync_dir/29520
2025-10-23 13:04:09,322 - DEBUG - library.python.filelock - acquire: Acquiring FileLock (blocking=False): /home/runner/.ya/build/port_sync_dir/21528
2025-10-23 13:04:09,322 - DEBUG - library.python.filelock - acquire: Acquiring FileLock (blocking=False): /home/runner/.ya/build/port_sync_dir/28764
2025-10-23 13:04:09,324 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: CFG_DIR_PATH="/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/kikimr_configs"
2025-10-23 13:04:09,324 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: Final command: /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd server --suppress-version-check --yaml-config=$CFG_DIR_PATH/config.yaml --node-broker=localhost:8799 --tenant=/local/test_db --log-file-name=/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/slot_1/logfile_f7shq01_.log --grpc-port=62059 --mon-port=5409 --ic-port=29520
2025-10-23 13:04:09,325 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: CFG_DIR_PATH="/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/kikimr_configs"
2025-10-23 13:04:09,325 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: Final command: /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd server --suppress-version-check --yaml-config=$CFG_DIR_PATH/config.yaml --node-broker=localhost:8799 --tenant=/local/test_db --log-file-name=/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/slot_1/logfile_f7shq01_.log --grpc-port=62059 --mon-port=5409 --ic-port=29520
2025-10-23 13:04:09,327 - DEBUG - ya.test - execute: Executing '('/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', 'server', '--suppress-version-check', '--yaml-config=/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/kikimr_configs/config.yaml', '--node-broker=localhost:8799', '--tenant=/local/test_db', '--log-file-name=/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/slot_1/logfile_f7shq01_.log', '--grpc-port=62059', '--mon-port=5409', '--ic-port=29520')' in '/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/slot_1' (no wait)
2025-10-23 13:04:09,329 - DEBUG - ya.test - execute: Command pid: 2704736
2025-10-23 13:04:09,330 - INFO - ydb.tests.library.harness.kikimr_runner - start: Started node localhost:62059/1
2025-10-23 13:04:09,332 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out.4
2025-10-23 13:04:09,333 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err.4
2025-10-23 13:04:09,333 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', '-V']' in 'None' (waiting)
2025-10-23 13:04:09,335 - DEBUG - ya.test - execute: Command pid: 2704746
2025-10-23 13:04:10,088 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) rc: 0
2025-10-23 13:04:10,088 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) elapsed time (sec): 0.7518191337585449
2025-10-23 13:04:10,089 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) idrss: 0
2025-10-23 13:04:10,089 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) inblock: 0
2025-10-23 13:04:10,089 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) isrss: 0
2025-10-23 13:04:10,089 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) ixrss: 0
2025-10-23 13:04:10,090 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) majflt: 0
2025-10-23 13:04:10,090 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) maxrss: 660308
2025-10-23 13:04:10,090 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) minflt: 45267
2025-10-23 13:04:10,091 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) msgrcv: 0
2025-10-23 13:04:10,091 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) msgsnd: 0
2025-10-23 13:04:10,091 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) nivcsw: 55
2025-10-23 13:04:10,092 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) nsignals: 0
2025-10-23 13:04:10,092 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) nswap: 0
2025-10-23 13:04:10,092 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) nvcsw: 15
2025-10-23 13:04:10,092 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) oublock: 8
2025-10-23 13:04:10,093 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) stime: 0.220964
2025-10-23 13:04:10,093 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) utime: 0.467499
2025-10-23 13:04:10,093 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) wtime: 0.754
2025-10-23 13:04:10,094 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) output:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582

Other info:
    Build by: runner
    Top src dir: /home/runner/actions_runner/_work/ydb/ydb
    Top build dir: /home/runner/.ya/build
    Hostname: ghrun-6mxvg3lfr4
    Host information: 
        Linux ghrun-6mxvg3lfr4 5.15.0-157-generic #167-Ubuntu SMP Wed Sep 17 21:35:53 UTC 2025 x86_64

    
Build info:
    Compiler: /home/runner/.ya/tools/v4/9944335923/bin/clang++
    Compiler version: 
        clang version 20.1.8
        Target: x86_64-unknown-linux-gnu
        Thread model: posix
        InstalledDir: /home/runner/.ya/tools/v4/9944335923/bin
    Compile flags: -Xclang -fdebug-compilation-dir -Xclang /tmp -pipe -m64 -O3 -gline-tables-only -fno-common -ffunction-sections -fdata-sections -fsized-deallocation -fexceptions -fuse-init-array -fcolor-diagnostics -faligned-allocation -Werror -Wall -Wextra -Wno-parentheses -Wno-implicit-const-int-float-conversion -Wno-unknown-warning-option -D_THREAD_SAFE -D_PTHREADS -D_REENTRANT -D_LARGEFILE_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D_YNDX_LIBUNWIND_ENABLE_EXCEPTION_BACKTRACE -D__LONG_LONG_SUPPORTED -fno-omit-frame-pointer -Wno-unknown-argument -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -DCATBOOST_OPENSOURCE=yes -fsanitize=address -Daddress_sanitizer_enabled -fno-omit-frame-pointer -fsanitize-blacklist=/home/runner/actions_runner/_work/ydb/ydb/build/sanitize-blacklist.txt -fno-sanitize-link-runtime -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mcx16 -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -std=c++20 -Wimport-preprocessor-directive-pedantic -Woverloaded-virtual -Wno-ambiguous-reversed-operator -Wno-defaulted-function-deleted -Wno-deprecated-anon-enum-enum-conversion -Wno-deprecated-enum-enum-conversion -Wno-deprecated-enum-float-conversion -Wno-deprecated-volatile -Wno-pessimizing-move -Wno-undefined-var-template -nostdinc++ -DCATBOOST_OPENSOURCE=yes -nostdinc++

2025-10-23 13:04:10,094 - DEBUG - ya.test - _save_outputs: Command (pid 2704746) errors:

2025-10-23 13:04:10,094 - INFO - ydb.tests.library.harness.kikimr_runner - start: Node 1 version:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582
2025-10-23 13:04:16,147 - DEBUG - ya.test - get_binary: Binary was found by /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydb/ydb
2025-10-23 13:04:16,148 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydb.out
2025-10-23 13:04:16,155 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydb.err
2025-10-23 13:04:16,160 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydb/ydb', '-e', 'grpc://localhost:8799', '-d', '/local/test_db', 'workload', 'tpch', '-p', 'olap_yatests/tpch/s0_1', 'init', '--store=column', '--datetime-types=dt64']' in 'None' (waiting)
2025-10-23 13:04:16,162 - DEBUG - ya.test - execute: Command pid: 2708764
2025-10-23 13:04:29,364 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) rc: 0
2025-10-23 13:04:29,365 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) elapsed time (sec): 13.200145721435547
2025-10-23 13:04:29,366 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) idrss: 0
2025-10-23 13:04:29,366 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) inblock: 0
2025-10-23 13:04:29,366 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) isrss: 0
2025-10-23 13:04:29,367 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) ixrss: 0
2025-10-23 13:04:29,367 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) majflt: 0
2025-10-23 13:04:29,368 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) maxrss: 661112
2025-10-23 13:04:29,368 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) minflt: 111010
2025-10-23 13:04:29,368 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) msgrcv: 0
2025-10-23 13:04:29,369 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) msgsnd: 0
2025-10-23 13:04:29,369 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) nivcsw: 136
2025-10-23 13:04:29,369 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) nsignals: 0
2025-10-23 13:04:29,369 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) nswap: 0
2025-10-23 13:04:29,370 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) nvcsw: 4711
2025-10-23 13:04:29,370 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) oublock: 8
2025-10-23 13:04:29,370 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) stime: 0.298315
2025-10-23 13:04:29,371 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) utime: 0.454262
2025-10-23 13:04:29,372 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) wtime: 13.202
2025-10-23 13:04:29,372 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) output:
Init tables ...
Init tables ...Ok

2025-10-23 13:04:29,372 - DEBUG - ya.test - _save_outputs: Command (pid 2708764) errors:

2025-10-23 13:04:29,373 - DEBUG - ya.test - get_binary: Binary was found by /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydb/ydb
2025-10-23 13:04:29,376 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydb.out.0
2025-10-23 13:04:29,377 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydb.err.0
2025-10-23 13:04:29,377 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydb/ydb', '-e', 'grpc://localhost:8799', '-d', '/local/test_db', 'workload', 'tpch', '-p', 'olap_yatests/tpch/s0_1', 'import', 'generator', '--scale=0.1']' in 'None' (waiting)
2025-10-23 13:04:29,381 - DEBUG - ya.test - execute: Command pid: 2713156
2025-10-23 13:05:02,444 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) rc: 0
2025-10-23 13:05:02,444 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) elapsed time (sec): 33.06138205528259
2025-10-23 13:05:02,445 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) idrss: 0
2025-10-23 13:05:02,445 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) inblock: 0
2025-10-23 13:05:02,445 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) isrss: 0
2025-10-23 13:05:02,446 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) ixrss: 0
2025-10-23 13:05:02,446 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) majflt: 0
2025-10-23 13:05:02,446 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) maxrss: 1177996
2025-10-23 13:05:02,447 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) minflt: 735255
2025-10-23 13:05:02,447 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) msgrcv: 0
2025-10-23 13:05:02,447 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) msgsnd: 0
2025-10-23 13:05:02,448 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) nivcsw: 2261
2025-10-23 13:05:02,448 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) nsignals: 0
2025-10-23 13:05:02,448 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) nswap: 0
2025-10-23 13:05:02,448 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) nvcsw: 112001
2025-10-23 13:05:02,449 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) oublock: 32
2025-10-23 13:05:02,449 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) stime: 5.081174
2025-10-23 13:05:02,449 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) utime: 31.083554
2025-10-23 13:05:02,450 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) wtime: 33.066
2025-10-23 13:05:02,450 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) output:
Fill table supplier...
Fill table supplier OK 1000 / 1000 (11.521450s)
Fill table customer...
Fill table customer OK 15000 / 15000 (0.842320s)
Fill table orders...
Fill table orders OK 150000 / 150000 (16.942410s)
Fill table part...
Fill table part OK 20000 / 20000 (2.370496s)
Fill table nation...
Fill table nation OK 25 / 25 (0.186178s)
Fill table region...
Fill table region OK 5 / 5 (0.194758s)

2025-10-23 13:05:02,450 - DEBUG - ya.test - _save_outputs: Command (pid 2713156) errors:







2025-10-23 13:05:02,451 - DEBUG - ya.test - verify_sanitize_errors: No sanitizer errors found
2025-10-23 13:05:02,460 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:02,464 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:05:02,475 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 552
2025-10-23 13:05:02,478 - DEBUG - root - check_if_ydb_alive: Expected nodes count: 1
2025-10-23 13:05:02,479 - INFO - root - _create_ydb_driver: Connecting to grpc://localhost:8799 to local/test_db ydb_access_token is set False
2025-10-23 13:05:02,479 - DEBUG - ydb.connection - channel_factory: Channel options: [('grpc.max_receive_message_length', 64000000), ('grpc.max_send_message_length', 64000000), ('grpc.primary_user_agent', 'python-library'), ('grpc.lb_policy_name', 'round_robin'), ('grpc.keepalive_time_ms', 1250), ('grpc.keepalive_timeout_ms', 10000), ('grpc.http2.max_pings_without_data', 0), ('grpc.keepalive_permit_without_calls', 0)]
2025-10-23 13:05:02,482 - DEBUG - ydb.resolver.DiscoveryEndpointsResolver - context_resolve: Preparing initial endpoint to resolve endpoints
2025-10-23 13:05:02,483 - DEBUG - ydb.connection - channel_factory: Channel options: [('grpc.max_receive_message_length', 64000000), ('grpc.max_send_message_length', 64000000), ('grpc.primary_user_agent', 'python-library'), ('grpc.lb_policy_name', 'round_robin'), ('grpc.keepalive_time_ms', 1250), ('grpc.keepalive_timeout_ms', 10000), ('grpc.http2.max_pings_without_data', 0), ('grpc.keepalive_permit_without_calls', 0)]
2025-10-23 13:05:02,503 - DEBUG - ydb.resolver.DiscoveryEndpointsResolver - context_resolve: Resolving endpoints for database local/test_db
2025-10-23 13:05:02,504 - DEBUG - ydb.connection - _prepare_call: RpcState(ListEndpoints, 0215fe30-183a-4e48-a6e5-fffb49ba3c2f, localhost:8799): creating call state
2025-10-23 13:05:02,505 - DEBUG - ydb.connection - _log_request: RpcState(ListEndpoints, 0215fe30-183a-4e48-a6e5-fffb49ba3c2f, localhost:8799): request = { database: "local/test_db" }
2025-10-23 13:05:02,514 - DEBUG - ydb.connection - _log_response: RpcState(ListEndpoints, 0215fe30-183a-4e48-a6e5-fffb49ba3c2f, localhost:8799): response = { operation { ready: true status: SUCCESS result { [type.googleapis.com/Ydb.Discovery.ListEndpointsResult] { endpoints { address: "ghrun-6mxvg3lfr4.auto.internal" port: 62059 service: "legacy" service: "tablet_service" service: "yql" service: "discovery" service: "cms" service: "locking" service: "kesus" service: "pq" service: "pqcd" service: "pqv1" service: "topic" service: "datastreams" service: "scripting" service: "clickhouse_internal" service: "rate_limiter" service: "analytics" service: "export" service: "import" service: "yq" service: "keyvalue" service: "monitoring" service: "auth" service: "query_service" service: "view" node_id: 50000 } self_location: "1" } } } }
2025-10-23 13:05:02,515 - DEBUG - ydb.resolver.DiscoveryEndpointsResolver - _add_debug_details: Resolved endpoints for database local/test_db: DiscoveryResult <self_location: 1, endpoints [<Endpoint ghrun-6mxvg3lfr4.auto.internal:62059, location , ssl: False>]>
2025-10-23 13:05:02,516 - DEBUG - ydb.connection - channel_factory: Channel options: [('grpc.max_receive_message_length', 64000000), ('grpc.max_send_message_length', 64000000), ('grpc.primary_user_agent', 'python-library'), ('grpc.lb_policy_name', 'round_robin'), ('grpc.keepalive_time_ms', 1250), ('grpc.keepalive_timeout_ms', 10000), ('grpc.http2.max_pings_without_data', 0), ('grpc.keepalive_permit_without_calls', 0)]
2025-10-23 13:05:02,534 - DEBUG - ydb.connection - close: Closing channel for endpoint localhost:8799
2025-10-23 13:05:02,534 - INFO - root - _create_ydb_driver: Connected
2025-10-23 13:05:02,536 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, 5f22c1a7-bb7f-4bea-879c-4efca5e8cf64, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:02,537 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, 5f22c1a7-bb7f-4bea-879c-4efca5e8cf64, ghrun-6mxvg3lfr4.auto.internal:62059): request = { query { yql_text: "select 1" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:05:02,539 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, 5f22c1a7-bb7f-4bea-879c-4efca5e8cf64, ghrun-6mxvg3lfr4.auto.internal:62059): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:05:02,786 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:02,793 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:05:02,804 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 549
2025-10-23 13:05:02,806 - DEBUG - root - check_if_ydb_alive: Expected nodes count: 1
2025-10-23 13:05:02,807 - INFO - root - get_tables: get_tables /local/test_db/olap_yatests/tpch/s0_1
2025-10-23 13:05:02,807 - INFO - root - _describe_path_impl: describe /local/test_db/olap_yatests/tpch/s0_1
2025-10-23 13:05:02,808 - DEBUG - ydb.connection - _prepare_call: RpcState(DescribePath, 7f8b2168-b98e-4998-8a43-7360f21307f7, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:02,809 - DEBUG - ydb.connection - _log_request: RpcState(DescribePath, 7f8b2168-b98e-4998-8a43-7360f21307f7, ghrun-6mxvg3lfr4.auto.internal:62059): request = { operation_params { operation_timeout { seconds: 600 } cancel_after { seconds: 600 } } path: "/local/test_db/olap_yatests/tpch/s0_1" }
2025-10-23 13:05:02,815 - DEBUG - ydb.connection - _log_response: RpcState(DescribePath, 7f8b2168-b98e-4998-8a43-7360f21307f7, ghrun-6mxvg3lfr4.auto.internal:62059): response = { operation { ready: true status: SUCCESS result { [type.googleapis.com/Ydb.Scheme.DescribePathResult] { self { name: "s0_1" owner: "root@builtin" type: DIRECTORY effective_permissions { subject: "USERS" permission_names: "ydb.database.connect" } effective_permissions { subject: "METADATA-READERS" permission_names: "ydb.generic.list" } effective_permissions { subject: "DATA-READERS" permission_names: "ydb.granular.select_row" } effective_permissions { subject: "DATA-WRITERS" permission_names: "ydb.tables.modify" } effective_permissions { subject: "DDL-ADMINS" permission_names: "ydb.granular.create_directory" permission_names: "ydb.granular.write_attributes" permission_names: "ydb.granular.create_table" permission_names: "ydb.granular.remove_schema" permission_names: "ydb.granular.create_queue" permission_names: "ydb.granular.alter_schema" } effective_permissions { subject: "ACCESS-ADMINS" permission_names: "ydb.access.grant" } effective_permissions { subject: "DATABASE-ADMINS" permission_names: "ydb.generic.manage" } created_at { plan_step: 1761224659050 tx_id: 281474976720659 } } } } } }
2025-10-23 13:05:02,817 - INFO - root - list_directory: list /local/test_db/olap_yatests/tpch/s0_1
2025-10-23 13:05:02,817 - DEBUG - ydb.connection - _prepare_call: RpcState(ListDirectory, 9be174f2-9a71-4046-8f15-3751e7e083c3, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:02,818 - DEBUG - ydb.connection - _log_request: RpcState(ListDirectory, 9be174f2-9a71-4046-8f15-3751e7e083c3, ghrun-6mxvg3lfr4.auto.internal:62059): request = { operation_params { operation_timeout { seconds: 600 } cancel_after { seconds: 600 } } path: "/local/test_db/olap_yatests/tpch/s0_1" }
2025-10-23 13:05:02,825 - DEBUG - ydb.connection - _log_response: RpcState(ListDirectory, 9be174f2-9a71-4046-8f15-3751e7e083c3, ghrun-6mxvg3lfr4.auto.internal:62059): response = { operation { ready: true status: SUCCESS result { [type.googleapis.com/Ydb.Scheme.ListDirectoryResult] { self { name: "s0_1" owner: "root@builtin" type: DIRECTORY effective_permissions { subject: "USERS" permission_names: "ydb.database.connect" } effective_permissions { subject: "METADATA-READERS" permission_names: "ydb.generic.list" } effective_permissions { subject: "DATA-READERS" permission_names: "ydb.granular.select_row" } effective_permissions { subject: "DATA-WRITERS" permission_names: "ydb.tables.modify" } effective_permissions { subject: "DDL-ADMINS" permission_names: "ydb.granular.create_directory" permission_names: "ydb.granular.write_attributes" permission_names: "ydb.granular.create_table" permission_names: "ydb.granular.remove_schema" permission_names: "ydb.granular.create_queue" permission_names: "ydb.granular.alter_schema" } effective_permissions { subject: "ACCESS-ADMINS" permission_names: "ydb.access.grant" } effective_permissions { subject: "DATABASE-ADMINS" permission_names: "ydb.generic.manage" } created_at { plan_step: 1761224659050 tx_id: 281474976720659 } } children { name: "customer" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224659050 tx_id: 281474976720659 } } children { name: "lineitem" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224661050 tx_id: 281474976720660 } } children { name: "nation" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224661400 tx_id: 281474976720661 } } children { name: "orders" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224663070 tx_id: 281474976720662 } } children { name: "part" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224664970 tx_id: 281474976720663 } } children { name: "partsupp" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224667020 tx_id: 281474976720664 } } children { name: "region" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224667340 tx_id: 281474976720665 } } children { name: "supplier" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224668890 tx_id: 281474976720666 } } } } } }
2025-10-23 13:05:02,830 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:02,834 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/customer&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:02,846 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/customer&tablets=true HTTP/1.1" 200 578
2025-10-23 13:05:02,849 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/customer balance: 64-64 shards.
2025-10-23 13:05:02,853 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:02,856 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/lineitem&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:02,868 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/lineitem&tablets=true HTTP/1.1" 200 578
2025-10-23 13:05:02,870 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/lineitem balance: 64-64 shards.
2025-10-23 13:05:02,874 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:02,878 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/nation&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:02,898 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/nation&tablets=true HTTP/1.1" 200 577
2025-10-23 13:05:02,900 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/nation balance: 1-1 shards.
2025-10-23 13:05:02,903 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:02,907 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/orders&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:02,919 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/orders&tablets=true HTTP/1.1" 200 578
2025-10-23 13:05:02,921 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/orders balance: 64-64 shards.
2025-10-23 13:05:02,924 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:02,927 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/part&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:02,939 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/part&tablets=true HTTP/1.1" 200 578
2025-10-23 13:05:02,942 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/part balance: 64-64 shards.
2025-10-23 13:05:02,946 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:02,949 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/partsupp&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:02,970 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/partsupp&tablets=true HTTP/1.1" 200 578
2025-10-23 13:05:02,972 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/partsupp balance: 64-64 shards.
2025-10-23 13:05:02,976 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:02,979 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/region&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:02,992 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/region&tablets=true HTTP/1.1" 200 577
2025-10-23 13:05:02,994 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/region balance: 1-1 shards.
2025-10-23 13:05:02,998 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:03,002 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/supplier&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:03,014 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/supplier&tablets=true HTTP/1.1" 200 578
2025-10-23 13:05:03,017 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/supplier balance: 64-64 shards.
2025-10-23 13:05:03,018 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, 03c4ed9b-9d8a-4169-9b82-cdaba7d23582, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:03,019 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, 03c4ed9b-9d8a-4169-9b82-cdaba7d23582, ghrun-6mxvg3lfr4.auto.internal:62059): request = { query { yql_text: "select 1" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:05:03,021 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, 03c4ed9b-9d8a-4169-9b82-cdaba7d23582, ghrun-6mxvg3lfr4.auto.internal:62059): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:05:03,104 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, 6aa90189-4add-46ac-a150-4c06321af94e, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:03,105 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, 6aa90189-4add-46ac-a150-4c06321af94e, ghrun-6mxvg3lfr4.auto.internal:62059): request = { query { yql_text: "SELECT count(*) FROM `/local/test_db/olap_yatests/tpch/s0_1/customer`" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:05:03,106 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, 6aa90189-4add-46ac-a150-4c06321af94e, ghrun-6mxvg3lfr4.auto.internal:62059): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:05:03,106 - INFO - ydb.tests.olap.scenario.helpers.scenario_tests_helper - _run_with_expected_status: Success operation
2025-10-23 13:05:04,372 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, 4154a344-ba68-4fd3-9673-3e660bbd6dd6, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:04,373 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, 4154a344-ba68-4fd3-9673-3e660bbd6dd6, ghrun-6mxvg3lfr4.auto.internal:62059): request = { query { yql_text: "SELECT count(*) FROM `/local/test_db/olap_yatests/tpch/s0_1/nation`" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:05:04,375 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, 4154a344-ba68-4fd3-9673-3e660bbd6dd6, ghrun-6mxvg3lfr4.auto.internal:62059): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:05:04,376 - INFO - ydb.tests.olap.scenario.helpers.scenario_tests_helper - _run_with_expected_status: Success operation
2025-10-23 13:05:05,317 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, 22935223-8c2c-4060-9686-08485124eb28, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:05,318 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, 22935223-8c2c-4060-9686-08485124eb28, ghrun-6mxvg3lfr4.auto.internal:62059): request = { query { yql_text: "SELECT count(*) FROM `/local/test_db/olap_yatests/tpch/s0_1/orders`" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:05:05,319 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, 22935223-8c2c-4060-9686-08485124eb28, ghrun-6mxvg3lfr4.auto.internal:62059): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:05:05,320 - INFO - ydb.tests.olap.scenario.helpers.scenario_tests_helper - _run_with_expected_status: Success operation
2025-10-23 13:05:06,975 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, 6a6b663e-8a24-4162-9420-cf294b303f53, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:06,976 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, 6a6b663e-8a24-4162-9420-cf294b303f53, ghrun-6mxvg3lfr4.auto.internal:62059): request = { query { yql_text: "SELECT count(*) FROM `/local/test_db/olap_yatests/tpch/s0_1/part`" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:05:06,978 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, 6a6b663e-8a24-4162-9420-cf294b303f53, ghrun-6mxvg3lfr4.auto.internal:62059): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:05:06,978 - INFO - ydb.tests.olap.scenario.helpers.scenario_tests_helper - _run_with_expected_status: Success operation
2025-10-23 13:05:07,910 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, 8b81236c-1cd8-42a9-966b-7f26d24d4b8e, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:07,911 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, 8b81236c-1cd8-42a9-966b-7f26d24d4b8e, ghrun-6mxvg3lfr4.auto.internal:62059): request = { query { yql_text: "SELECT count(*) FROM `/local/test_db/olap_yatests/tpch/s0_1/partsupp`" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:05:07,913 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, 8b81236c-1cd8-42a9-966b-7f26d24d4b8e, ghrun-6mxvg3lfr4.auto.internal:62059): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:05:07,914 - INFO - ydb.tests.olap.scenario.helpers.scenario_tests_helper - _run_with_expected_status: Success operation
2025-10-23 13:05:08,806 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, 58423a87-a47e-4c8d-9d68-1a65b12a972d, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:08,807 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, 58423a87-a47e-4c8d-9d68-1a65b12a972d, ghrun-6mxvg3lfr4.auto.internal:62059): request = { query { yql_text: "SELECT count(*) FROM `/local/test_db/olap_yatests/tpch/s0_1/region`" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:05:08,810 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, 58423a87-a47e-4c8d-9d68-1a65b12a972d, ghrun-6mxvg3lfr4.auto.internal:62059): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:05:08,810 - INFO - ydb.tests.olap.scenario.helpers.scenario_tests_helper - _run_with_expected_status: Success operation
2025-10-23 13:05:09,732 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, b0224a91-351e-4931-9f6e-9b94a87d3778, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:09,733 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, b0224a91-351e-4931-9f6e-9b94a87d3778, ghrun-6mxvg3lfr4.auto.internal:62059): request = { query { yql_text: "SELECT count(*) FROM `/local/test_db/olap_yatests/tpch/s0_1/supplier`" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:05:09,735 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, b0224a91-351e-4931-9f6e-9b94a87d3778, ghrun-6mxvg3lfr4.auto.internal:62059): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:05:09,735 - INFO - ydb.tests.olap.scenario.helpers.scenario_tests_helper - _run_with_expected_status: Success operation
2025-10-23 13:05:10,668 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, 8a8d5eae-bd42-41d3-9ac4-8c21efbc2140, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:10,669 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, 8a8d5eae-bd42-41d3-9ac4-8c21efbc2140, ghrun-6mxvg3lfr4.auto.internal:62059): request = { query { yql_text: "SELECT count(*) FROM `/local/test_db/olap_yatests/tpch/s0_1/lineitem`" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:05:10,671 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, 8a8d5eae-bd42-41d3-9ac4-8c21efbc2140, ghrun-6mxvg3lfr4.auto.internal:62059): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:05:10,672 - INFO - ydb.tests.olap.scenario.helpers.scenario_tests_helper - _run_with_expected_status: Success operation
2025-10-23 13:05:12,216 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:12,220 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:05:12,230 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 550
2025-10-23 13:05:12,237 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:12,241 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:05:12,251 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 550
2025-10-23 13:05:12,253 - DEBUG - root - check_if_ydb_alive: Expected nodes count: 1
2025-10-23 13:05:12,254 - INFO - root - get_tables: get_tables /local/test_db/olap_yatests/tpch/s0_1
2025-10-23 13:05:12,254 - INFO - root - _describe_path_impl: describe /local/test_db/olap_yatests/tpch/s0_1
2025-10-23 13:05:12,255 - DEBUG - ydb.connection - _prepare_call: RpcState(DescribePath, 1860ba5a-f933-4a76-90e5-de86fb96af2b, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:12,256 - DEBUG - ydb.connection - _log_request: RpcState(DescribePath, 1860ba5a-f933-4a76-90e5-de86fb96af2b, ghrun-6mxvg3lfr4.auto.internal:62059): request = { operation_params { operation_timeout { seconds: 600 } cancel_after { seconds: 600 } } path: "/local/test_db/olap_yatests/tpch/s0_1" }
2025-10-23 13:05:12,262 - DEBUG - ydb.connection - _log_response: RpcState(DescribePath, 1860ba5a-f933-4a76-90e5-de86fb96af2b, ghrun-6mxvg3lfr4.auto.internal:62059): response = { operation { ready: true status: SUCCESS result { [type.googleapis.com/Ydb.Scheme.DescribePathResult] { self { name: "s0_1" owner: "root@builtin" type: DIRECTORY effective_permissions { subject: "USERS" permission_names: "ydb.database.connect" } effective_permissions { subject: "METADATA-READERS" permission_names: "ydb.generic.list" } effective_permissions { subject: "DATA-READERS" permission_names: "ydb.granular.select_row" } effective_permissions { subject: "DATA-WRITERS" permission_names: "ydb.tables.modify" } effective_permissions { subject: "DDL-ADMINS" permission_names: "ydb.granular.create_directory" permission_names: "ydb.granular.write_attributes" permission_names: "ydb.granular.create_table" permission_names: "ydb.granular.remove_schema" permission_names: "ydb.granular.create_queue" permission_names: "ydb.granular.alter_schema" } effective_permissions { subject: "ACCESS-ADMINS" permission_names: "ydb.access.grant" } effective_permissions { subject: "DATABASE-ADMINS" permission_names: "ydb.generic.manage" } created_at { plan_step: 1761224659050 tx_id: 281474976720659 } } } } } }
2025-10-23 13:05:12,263 - INFO - root - list_directory: list /local/test_db/olap_yatests/tpch/s0_1
2025-10-23 13:05:12,264 - DEBUG - ydb.connection - _prepare_call: RpcState(ListDirectory, 46b4639a-8b67-4d56-af6c-de1a09be33bb, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:12,265 - DEBUG - ydb.connection - _log_request: RpcState(ListDirectory, 46b4639a-8b67-4d56-af6c-de1a09be33bb, ghrun-6mxvg3lfr4.auto.internal:62059): request = { operation_params { operation_timeout { seconds: 600 } cancel_after { seconds: 600 } } path: "/local/test_db/olap_yatests/tpch/s0_1" }
2025-10-23 13:05:12,271 - DEBUG - ydb.connection - _log_response: RpcState(ListDirectory, 46b4639a-8b67-4d56-af6c-de1a09be33bb, ghrun-6mxvg3lfr4.auto.internal:62059): response = { operation { ready: true status: SUCCESS result { [type.googleapis.com/Ydb.Scheme.ListDirectoryResult] { self { name: "s0_1" owner: "root@builtin" type: DIRECTORY effective_permissions { subject: "USERS" permission_names: "ydb.database.connect" } effective_permissions { subject: "METADATA-READERS" permission_names: "ydb.generic.list" } effective_permissions { subject: "DATA-READERS" permission_names: "ydb.granular.select_row" } effective_permissions { subject: "DATA-WRITERS" permission_names: "ydb.tables.modify" } effective_permissions { subject: "DDL-ADMINS" permission_names: "ydb.granular.create_directory" permission_names: "ydb.granular.write_attributes" permission_names: "ydb.granular.create_table" permission_names: "ydb.granular.remove_schema" permission_names: "ydb.granular.create_queue" permission_names: "ydb.granular.alter_schema" } effective_permissions { subject: "ACCESS-ADMINS" permission_names: "ydb.access.grant" } effective_permissions { subject: "DATABASE-ADMINS" permission_names: "ydb.generic.manage" } created_at { plan_step: 1761224659050 tx_id: 281474976720659 } } children { name: "customer" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224659050 tx_id: 281474976720659 } } children { name: "lineitem" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224661050 tx_id: 281474976720660 } } children { name: "nation" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224661400 tx_id: 281474976720661 } } children { name: "orders" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224663070 tx_id: 281474976720662 } } children { name: "part" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224664970 tx_id: 281474976720663 } } children { name: "partsupp" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224667020 tx_id: 281474976720664 } } children { name: "region" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224667340 tx_id: 281474976720665 } } children { name: "supplier" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224668890 tx_id: 281474976720666 } } } } } }
2025-10-23 13:05:12,276 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:12,280 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/customer&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:12,291 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/customer&tablets=true HTTP/1.1" 200 579
2025-10-23 13:05:12,293 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/customer balance: 64-64 shards.
2025-10-23 13:05:12,295 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:12,298 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/lineitem&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:12,326 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/lineitem&tablets=true HTTP/1.1" 200 579
2025-10-23 13:05:12,329 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/lineitem balance: 64-64 shards.
2025-10-23 13:05:12,331 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:12,334 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/nation&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:12,346 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/nation&tablets=true HTTP/1.1" 200 579
2025-10-23 13:05:12,348 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/nation balance: 1-1 shards.
2025-10-23 13:05:12,351 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:12,354 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/orders&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:12,366 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/orders&tablets=true HTTP/1.1" 200 579
2025-10-23 13:05:12,368 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/orders balance: 64-64 shards.
2025-10-23 13:05:12,372 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:12,375 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/part&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:12,386 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/part&tablets=true HTTP/1.1" 200 579
2025-10-23 13:05:12,389 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/part balance: 64-64 shards.
2025-10-23 13:05:12,392 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:12,394 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/partsupp&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:12,406 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/partsupp&tablets=true HTTP/1.1" 200 579
2025-10-23 13:05:12,409 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/partsupp balance: 64-64 shards.
2025-10-23 13:05:12,411 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:12,415 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/region&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:12,426 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/region&tablets=true HTTP/1.1" 200 579
2025-10-23 13:05:12,429 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/region balance: 1-1 shards.
2025-10-23 13:05:12,432 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:05:12,435 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/supplier&tablets=true HTTP/1.1" 307 0
2025-10-23 13:05:12,447 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s0_1/supplier&tablets=true HTTP/1.1" 200 579
2025-10-23 13:05:12,450 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s0_1/supplier balance: 64-64 shards.
2025-10-23 13:05:12,451 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, be520eec-a7e2-4101-b2c1-69b29de9dac8, ghrun-6mxvg3lfr4.auto.internal:62059): creating call state
2025-10-23 13:05:12,452 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, be520eec-a7e2-4101-b2c1-69b29de9dac8, ghrun-6mxvg3lfr4.auto.internal:62059): request = { query { yql_text: "select 1" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:05:12,454 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, be520eec-a7e2-4101-b2c1-69b29de9dac8, ghrun-6mxvg3lfr4.auto.internal:62059): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:05:12,534 - DEBUG - ya.test - get_binary: Binary was found by /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydb/ydb
2025-10-23 13:05:12,536 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydb.out.1
2025-10-23 13:05:12,537 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydb.err.1
2025-10-23 13:05:12,537 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydb/ydb', '-e', 'grpc://localhost:8799', '-d', '/local/test_db', 'workload', 'tpch', '--path', 'olap_yatests/tpch/s0_1', 'run', '--json', 'f824baa9cfbbd7f7b5193c0ff93cc740.stats.json', '--output', 'f824baa9cfbbd7f7b5193c0ff93cc740.result', '--include', 'Query01,Query02,Query03,Query04,Query05,Query06,Query07,Query08,Query09,Query10,Query11,Query12,Query13,Query14,Query15,Query16,Query17,Query18,Query19,Query20,Query21,Query22', '--iterations', '1', '--plan', 'f824baa9cfbbd7f7b5193c0ff93cc740.plan', '--global-timeout', '1800.0s', '--verbose', '--scale', '0.1', '--threads', '10']' in 'None' (waiting)
2025-10-23 13:05:12,539 - DEBUG - ya.test - execute: Command pid: 2724002
2025-10-23 13:06:45,199 - DEBUG - ydb.resolver.DiscoveryEndpointsResolver - context_resolve: Preparing initial endpoint to resolve endpoints
2025-10-23 13:06:45,200 - DEBUG - ydb.connection - channel_factory: Channel options: [('grpc.max_receive_message_length', 64000000), ('grpc.max_send_message_length', 64000000), ('grpc.primary_user_agent', 'python-library'), ('grpc.lb_policy_name', 'round_robin'), ('grpc.keepalive_time_ms', 1250), ('grpc.keepalive_timeout_ms', 10000), ('grpc.http2.max_pings_without_data', 0), ('grpc.keepalive_permit_without_calls', 0)]
2025-10-23 13:06:45,210 - DEBUG - ydb.resolver.DiscoveryEndpointsResolver - context_resolve: Resolving endpoints for database local/test_db
2025-10-23 13:06:45,211 - DEBUG - ydb.connection - _prepare_call: RpcState(ListEndpoints, 9802cb0b-d914-4217-91b3-8f207166c3f3, localhost:8799): creating call state
2025-10-23 13:06:45,211 - DEBUG - ydb.connection - _log_request: RpcState(ListEndpoints, 9802cb0b-d914-4217-91b3-8f207166c3f3, localhost:8799): request = { database: "local/test_db" }
2025-10-23 13:06:45,216 - DEBUG - ydb.connection - _log_response: RpcState(ListEndpoints, 9802cb0b-d914-4217-91b3-8f207166c3f3, localhost:8799): response = { operation { ready: true status: SUCCESS result { [type.googleapis.com/Ydb.Discovery.ListEndpointsResult] { endpoints { address: "ghrun-6mxvg3lfr4.auto.internal" port: 62059 service: "legacy" service: "tablet_service" service: "yql" service: "discovery" service: "cms" service: "locking" service: "kesus" service: "pq" service: "pqcd" service: "pqv1" service: "topic" service: "datastreams" service: "scripting" service: "clickhouse_internal" service: "rate_limiter" service: "analytics" service: "export" service: "import" service: "yq" service: "keyvalue" service: "monitoring" service: "auth" service: "query_service" service: "view" node_id: 50000 } self_location: "1" } } } }
2025-10-23 13:06:45,217 - DEBUG - ydb.resolver.DiscoveryEndpointsResolver - _add_debug_details: Resolved endpoints for database local/test_db: DiscoveryResult <self_location: 1, endpoints [<Endpoint ghrun-6mxvg3lfr4.auto.internal:62059, location , ssl: False>]>
2025-10-23 13:06:45,217 - DEBUG - ydb.connection - close: Closing channel for endpoint localhost:8799
2025-10-23 13:07:36,893 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) rc: 0
2025-10-23 13:07:36,894 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) elapsed time (sec): 144.35295724868774
2025-10-23 13:07:36,894 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) idrss: 0
2025-10-23 13:07:36,894 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) inblock: 7456
2025-10-23 13:07:36,894 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) isrss: 0
2025-10-23 13:07:36,895 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) ixrss: 0
2025-10-23 13:07:36,895 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) majflt: 2
2025-10-23 13:07:36,895 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) maxrss: 665544
2025-10-23 13:07:36,895 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) minflt: 397998
2025-10-23 13:07:36,896 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) msgrcv: 0
2025-10-23 13:07:36,896 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) msgsnd: 0
2025-10-23 13:07:36,896 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) nivcsw: 237
2025-10-23 13:07:36,896 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) nsignals: 0
2025-10-23 13:07:36,897 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) nswap: 0
2025-10-23 13:07:36,897 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) nvcsw: 16826
2025-10-23 13:07:36,897 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) oublock: 442824
2025-10-23 13:07:36,897 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) stime: 1.9944639999999998
2025-10-23 13:07:36,898 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) utime: 13.342748
2025-10-23 13:07:36,898 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) wtime: 144.355
2025-10-23 13:07:36,898 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) output:
Query01:
Query text:
$z1_12 = 1;
select
    l_returnflag,
    l_linestatus,
    sum(l_quantity) as sum_qty,
    sum(l_extendedprice) as sum_base_price,
    sum(l_extendedprice * ($z1_12 - l_discount)) as sum_disc_price,
    sum(l_extendedprice * ($z1_12 - l_discount) * ($z1_12 + l_tax)) as sum_charge,
    avg(l_quantity) as avg_qty,
    avg(l_extendedprice) as avg_price,
    avg(l_discount) as avg_disc,
    count(*) as count_order
from
    `olap_yatests/tpch/s0_1/lineitem`
where
    l_shipdate <= Date('1998-12-01') - Interval("P90D")
group by
    l_returnflag,
    l_linestatus
order by
    l_returnflag,
    l_linestatus;

	iteration 0:	ok	9.263826s seconds
Query02:
Query text:
$r = (
select
    r_regionkey
from 
    `olap_yatests/tpch/s0_1/region`
where
    r_name='EUROPE'
);
$n = (
select
    n_name,
    n_nationkey
from
    `olap_yatests/tpch/s0_1/nation` as n 
left semi join
    $r as r
on 
    n.n_regionkey = r.r_regionkey
);
$s1 = (
select
    s_suppkey
from
    `olap_yatests/tpch/s0_1/supplier` as s
left semi join
    $n as n
on
    s.s_nationkey = n.n_nationkey
);
$min_ps_supplycost = (
select
    min(ps_supplycost) as min_ps_supplycost,
    ps.ps_partkey as ps_partkey
from
    `olap_yatests/tpch/s0_1/partsupp` as ps
left semi join
    $s1 as s
on
    ps.ps_suppkey = s.s_suppkey
group by
    ps.ps_partkey
);
$p = (
select
    p_partkey,
    p_mfgr
from
    `olap_yatests/tpch/s0_1/part`
where
    p_size = 15
    and p_type like '%BRASS'
);
$ps = (
select
    ps.ps_partkey as ps_partkey,
    p.p_mfgr as p_mfgr,
    ps.ps_supplycost as ps_supplycost,
    ps.ps_suppkey as ps_suppkey
from
    `olap_yatests/tpch/s0_1/partsupp` as ps
join
    $p as p
on
    p.p_partkey = ps.ps_partkey
);
$s2 = (
select
    s_acctbal,
    s_name,
    s_address,
    s_phone,
    s_comment,
    s_suppkey,
    n_name
from
    `olap_yatests/tpch/s0_1/supplier` as s
join
    $n as n
on
    s.s_nationkey = n.n_nationkey
);
$jp =(
select
    ps_partkey,
    ps_supplycost,
    p_mfgr,
    s_acctbal,
    s_name,
    s_address,
    s_phone,
    s_comment,
    n_name
from
    $ps as ps
join    
    $s2 as s
on
    ps.ps_suppkey = s.s_suppkey  
);
select
    s_acctbal,
    s_name,
    n_name,
    jp.ps_partkey as p_partkey,
    p_mfgr,
    s_address,
    s_phone,
    s_comment
from
    $jp as jp
join
    $min_ps_supplycost as m
on
    jp.ps_partkey = m.ps_partkey
where
    min_ps_supplycost = ps_supplycost
order by
    s_acctbal desc,
    n_name,
    s_name,
    p_partkey
limit 100;

	iteration 0:	ok	14.679830s seconds
Query03:
Query text:
$z1_12 = 1;
$round = ($x, $y) -> { return Math::Round($x, $y); };
$c = (
select
    c_custkey
from
    `olap_yatests/tpch/s0_1/customer`
where
    c_mktsegment = 'BUILDING'
);
$o = (
select
    o_orderdate,
    o_shippriority,
    o_orderkey
from
    `olap_yatests/tpch/s0_1/orders` as o
left semi join
    $c as c
on
    c.c_custkey = o.o_custkey
where
    o_orderdate < Date('1995-03-15')
);
$join2 = (
select
    o.o_orderdate as o_orderdate,
    o.o_shippriority as o_shippriority,
    l.l_orderkey as l_orderkey,
    l.l_discount as l_discount,
    l.l_extendedprice as l_extendedprice
from
    `olap_yatests/tpch/s0_1/lineitem` as l
join
    $o as o
on
    l.l_orderkey = o.o_orderkey
where
    l_shipdate > Date('1995-03-15')
);
select
    l_orderkey,
    $round(sum(l_extendedprice * ($z1_12 - l_discount)), -3) as revenue,
    o_orderdate,
    o_shippriority
from
    $join2
group by
    l_orderkey,
    o_orderdate,
    o_shippriority
order by
    revenue desc,
    o_orderdate,
    l_orderkey
limit 10;

	iteration 0:	ok	78.316112s seconds
Query04:
Query text:
$border = Date("1993-07-01");
$o = (
select
    o_orderpriority,
    o_orderkey
from
    `olap_yatests/tpch/s0_1/orders`
where
    o_orderdate >= $border
    and o_orderdate < DateTime::MakeDate(DateTime::ShiftMonths($border, 3))
);
$l = (
select
    distinct l_orderkey
from
    `olap_yatests/tpch/s0_1/lineitem`
where
    l_commitdate < l_receiptdate
);
select
    o.o_orderpriority as o_orderpriority,
    count(*) as order_count
from
    $o as o
join
    $l as l
on
    o.o_orderkey = l.l_orderkey
group by
    o.o_orderpriority
order by
    o_orderpriority;

	iteration 0:	ok	12.478215s seconds
Query05:
Query text:
$z1_12 = 1;
$border = Date("1994-01-01");
$j1 = (
select
    n.n_name as n_name,
    n.n_nationkey as n_nationkey
from
    `olap_yatests/tpch/s0_1/nation` as n
join
    `olap_yatests/tpch/s0_1/region` as r
on
    n.n_regionkey = r.r_regionkey
where
    r_name = 'ASIA'
);
$j2 = (
select
    j.n_name as n_name,
    j.n_nationkey as n_nationkey,
    s.s_suppkey as s_suppkey
from
    `olap_yatests/tpch/s0_1/supplier` as s
join
    $j1 as j
on
    j.n_nationkey = s.s_nationkey
);
$j3 = (
select
    j.n_name as n_name,
    j.n_nationkey as n_nationkey,
    l.l_extendedprice as l_extendedprice,
    l.l_discount as l_discount,
    l.l_orderkey as l_orderkey
from
    `olap_yatests/tpch/s0_1/lineitem` as l
join
    $j2 as j
on
    l.l_suppkey = j.s_suppkey
);
$j4 = (
select
    o.o_orderkey as o_orderkey,
    c.c_nationkey as c_nationkey
from
    `olap_yatests/tpch/s0_1/orders` as o
join
    `olap_yatests/tpch/s0_1/customer` as c
on
    c.c_custkey = o.o_custkey
where
    o.o_orderdate >= $border
    and o.o_orderdate < ($border + Interval("P365D"))
);
$j5 = (
select
    j3.n_name as n_name,
    j3.l_extendedprice as l_extendedprice,
    j3.l_discount as l_discount
from
    $j3 as j3
join
    $j4 as j4
on
    j3.n_nationkey = j4.c_nationkey
    and j3.l_orderkey = j4.o_orderkey
);
select
    n_name,
    sum(l_extendedprice * ($z1_12 - l_discount)) as revenue
from
    $j5
group by
    n_name
order by
    revenue desc;

	iteration 0:	ok	121.786189s seconds
Query06:
Query text:
$z0_0100001_12 = 0.0100001;
$z0_06_12 = 0.06;
$border = Date("1994-01-01");
select
    sum(l_extendedprice * l_discount) as revenue
from
    `olap_yatests/tpch/s0_1/lineitem`
where
    l_shipdate >= $border 
    and l_shipdate < ($border + Interval("P365D"))
    and l_discount between $z0_06_12 - $z0_0100001_12 and $z0_06_12 + $z0_0100001_12
    and l_quantity < 24;

	iteration 0:	ok	13.852551s seconds
Query07:
Query text:
$z1_12 = 1;
$n = select n_name, n_nationkey from `olap_yatests/tpch/s0_1/nation` as n
    where n_name = 'FRANCE' or n_name = 'GERMANY';
$l = select 
    l_orderkey, l_suppkey,
    DateTime::GetYear(cast(l_shipdate as timestamp)) as l_year,
    l_extendedprice * ($z1_12 - l_discount) as volume
from 
    `olap_yatests/tpch/s0_1/lineitem` as l
where 
    l.l_shipdate between Date('1995-01-01') and Date('1996-12-31');
$j1 = select 
    n_name as supp_nation,
    s_suppkey
from 
    `olap_yatests/tpch/s0_1/supplier` as supplier
join 
    $n as n1
on 
    supplier.s_nationkey = n1.n_nationkey;
$j2 = select
    n_name as cust_nation,
    c_custkey
from 
    `olap_yatests/tpch/s0_1/customer` as customer
join 
    $n as n2
on 
    customer.c_nationkey = n2.n_nationkey;
$j3 = select
    cust_nation, o_orderkey
from 
    `olap_yatests/tpch/s0_1/orders` as orders
join 
    $j2 as customer
on 
    orders.o_custkey = customer.c_custkey;
$j4 = select
    cust_nation,
    l_orderkey, l_suppkey,
    l_year,
    volume
from 
    $l as lineitem
join 
    $j3 as orders
on 
    lineitem.l_orderkey = orders.o_orderkey;
$j5 = select
    supp_nation, cust_nation,
    l_year, volume
from 
    $j4 as lineitem
join 
    $j1 as supplier
on 
    lineitem.l_suppkey = supplier.s_suppkey
where (supp_nation = 'FRANCE' and cust_nation = 'GERMANY')
    OR (supp_nation = 'GERMANY' and cust_nation = 'FRANCE');
select
    supp_nation,
    cust_nation,
    l_year, 
    sum(volume) as revenue
from
    $j5 as shipping
group by
    supp_nation,
    cust_nation,
    l_year
order by
    supp_nation,
    cust_nation,
    l_year;

	iteration 0:	ok	25.295830s seconds
Query08:
Query text:
$z0_12 = 0.;
$z1_12 = 1;
$join1 = (
select
    l.l_extendedprice * ($z1_12 - l.l_discount) as volume,
    l.l_suppkey as l_suppkey,
    l.l_orderkey as l_orderkey
from
    `olap_yatests/tpch/s0_1/part` as p
join
    `olap_yatests/tpch/s0_1/lineitem` as l
on
    p.p_partkey = l.l_partkey
where
    p.p_type = 'ECONOMY ANODIZED STEEL'
);
$join2 = (
select
    j.volume as volume,
    j.l_orderkey as l_orderkey,
    s.s_nationkey as s_nationkey
from
    $join1 as j
join
    `olap_yatests/tpch/s0_1/supplier` as s
on
    s.s_suppkey = j.l_suppkey
);
$join3 = (
select
    j.volume as volume,
    j.l_orderkey as l_orderkey,
    n.n_name as nation
from
    $join2 as j
join
    `olap_yatests/tpch/s0_1/nation` as n
on
    n.n_nationkey = j.s_nationkey
);
$join4 = (
select
    j.volume as volume,
    j.nation as nation,
    DateTime::GetYear(cast(o.o_orderdate as Timestamp)) as o_year,
    o.o_custkey as o_custkey
from
    $join3 as j
join
    `olap_yatests/tpch/s0_1/orders` as o
on
    o.o_orderkey = j.l_orderkey
where o_orderdate between Date('1995-01-01') and Date('1996-12-31')
);
$join5 = (
select
    j.volume as volume,
    j.nation as nation,
    j.o_year as o_year,
    c.c_nationkey as c_nationkey
from
    $join4 as j
join
    `olap_yatests/tpch/s0_1/customer` as c
on
    c.c_custkey = j.o_custkey
);
$join6 = (
select
    j.volume as volume,
    j.nation as nation,
    j.o_year as o_year,
    n.n_regionkey as n_regionkey
from
    $join5 as j
join
    `olap_yatests/tpch/s0_1/nation` as n
on
    n.n_nationkey = j.c_nationkey
);
$join7 = (
select
    j.volume as volume,
    j.nation as nation,
    j.o_year as o_year
from
    $join6 as j
join
    `olap_yatests/tpch/s0_1/region` as r
on
    r.r_regionkey = j.n_regionkey
where
    r.r_name = 'AMERICA'
);
select
    o_year,
    sum(case
        when nation = 'BRAZIL' then volume
        else $z0_12
    end) / sum(volume) as mkt_share
from
    $join7 as all_nations
group by
    o_year
order by
    o_year;

	iteration 0:	ok	94.943267s seconds
Query09:
Query text:
$z1_12 = 1;
$p = (select p_partkey, p_name
from
    `olap_yatests/tpch/s0_1/part`
where p_name like '%green%');
$j1 = (select ps_partkey, ps_suppkey, ps_supplycost
from
    `olap_yatests/tpch/s0_1/partsupp` as ps
join $p as p
on ps.ps_partkey = p.p_partkey);
$j2 = (select l_suppkey, l_partkey, l_orderkey, l_extendedprice, l_discount, ps_supplycost, l_quantity
from
    `olap_yatests/tpch/s0_1/lineitem` as l
join $j1 as j
on l.l_suppkey = j.ps_suppkey AND l.l_partkey = j.ps_partkey);
$j3 = (select l_orderkey, s_nationkey, l_extendedprice, l_discount, ps_supplycost, l_quantity
from
    `olap_yatests/tpch/s0_1/supplier` as s
join $j2 as j
on j.l_suppkey = s.s_suppkey);
$j4 = (select o_orderdate, l_extendedprice, l_discount, ps_supplycost, l_quantity, s_nationkey
from
    `olap_yatests/tpch/s0_1/orders` as o
join $j3 as j
on o.o_orderkey = j.l_orderkey);
$j5 = (select n_name, o_orderdate, l_extendedprice, l_discount, ps_supplycost, l_quantity
from
    `olap_yatests/tpch/s0_1/nation` as n
join $j4 as j
on j.s_nationkey = n.n_nationkey
);
$profit = (select 
    n_name as nation,
    DateTime::GetYear(cast(o_orderdate as timestamp)) as o_year,
    l_extendedprice * ($z1_12 - l_discount) - ps_supplycost * l_quantity as amount
from $j5);
select
    nation,
    o_year,
    sum(amount) as sum_profit
from $profit
group by
    nation,
    o_year
order by
    nation,
    o_year desc;

	iteration 0:	ok	21.217881s seconds
Query10:
Query text:
$z1_12 = 1;
$border = Date("1993-10-01");
$join1 = (
select
    c.c_custkey as c_custkey,
    c.c_name as c_name,
    c.c_acctbal as c_acctbal,
    c.c_address as c_address,
    c.c_phone as c_phone,
    c.c_comment as c_comment,
    c.c_nationkey as c_nationkey,
    o.o_orderkey as o_orderkey
from
    `olap_yatests/tpch/s0_1/customer` as c
join
    `olap_yatests/tpch/s0_1/orders` as o
on
    c.c_custkey = o.o_custkey
where
    o.o_orderdate >= $border
    and o.o_orderdate < ($border + Interval("P92D"))
);
$join2 = (
select
    j.c_custkey as c_custkey,
    j.c_name as c_name,
    j.c_acctbal as c_acctbal,
    j.c_address as c_address,
    j.c_phone as c_phone,
    j.c_comment as c_comment,
    j.c_nationkey as c_nationkey,
    l.l_extendedprice as l_extendedprice,
    l.l_discount as l_discount
from
    $join1 as j 
join
    `olap_yatests/tpch/s0_1/lineitem` as l
on
    l.l_orderkey = j.o_orderkey
where
    l.l_returnflag = 'R'
);
$join3 = (
select
    j.c_custkey as c_custkey,
    j.c_name as c_name,
    j.c_acctbal as c_acctbal,
    j.c_address as c_address,
    j.c_phone as c_phone,
    j.c_comment as c_comment,
    j.c_nationkey as c_nationkey,
    j.l_extendedprice as l_extendedprice,
    j.l_discount as l_discount,
    n.n_name as n_name
from
    $join2 as j 
join
    `olap_yatests/tpch/s0_1/nation` as n
on
    n.n_nationkey = j.c_nationkey
);
select
    c_custkey,
    c_name,
    sum(l_extendedprice * ($z1_12 - l_discount)) as revenue,
    c_acctbal,
    n_name,
    c_address,
    c_phone,
    c_comment
from
    $join3
group by
    c_custkey,
    c_name,
    c_acctbal,
    c_phone,
    n_name,
    c_address,
    c_comment
order by
    revenue desc
limit 20;

	iteration 0:	ok	141.670470s seconds
Query11:
Query text:
$z0_0001_35 = 0.0001;
$scale_factor = 0.1;
$j1 = (
select
    s.s_suppkey as s_suppkey
from
    `olap_yatests/tpch/s0_1/supplier` as s
join
    `olap_yatests/tpch/s0_1/nation` as n
on
    n.n_nationkey = s.s_nationkey
where
    n.n_name = 'GERMANY'
);
$j2 = (
select
    ps.ps_partkey as ps_partkey,
    ps.ps_supplycost as ps_supplycost,
    ps.ps_availqty as ps_availqty
from
    `olap_yatests/tpch/s0_1/partsupp` as ps
join
    $j1 as j
on
    ps.ps_suppkey = j.s_suppkey
);
$threshold = (
select
    sum(ps_supplycost * ps_availqty) * $z0_0001_35 / $scale_factor as threshold
from
    $j2
);
$values = (
select
    ps_partkey,
    sum(ps_supplycost * ps_availqty) as value
from
    $j2
group by
    ps_partkey
);
select
    v.ps_partkey as ps_partkey,
    v.value as value
from
    $values as v
cross join
    $threshold as t
where
    v.value > t.threshold
order by
    value desc;

	iteration 0:	ok	15.351531s seconds
Query12:
Query text:
$join = (
    select
        l.l_shipmode as l_shipmode,
        o.o_orderpriority as o_orderpriority,
        l.l_commitdate as l_commitdate,
        l.l_shipdate as l_shipdate,
        l.l_receiptdate as l_receiptdate
    from
        `olap_yatests/tpch/s0_1/orders` as o
        join `olap_yatests/tpch/s0_1/lineitem` as l
        on o.o_orderkey = l.l_orderkey
);
$border = Date("1994-01-01");
select
    l_shipmode,
    sum(case
        when o_orderpriority = '1-URGENT'
            or o_orderpriority = '2-HIGH'
            then 1
        else 0
    end) as high_line_count,
    sum(case
        when o_orderpriority <> '1-URGENT'
            and o_orderpriority <> '2-HIGH'
            then 1
        else 0
    end) as low_line_count
from $join
where
    (l_shipmode = 'MAIL' or l_shipmode = 'SHIP')
    and l_commitdate < l_receiptdate
    and l_shipdate < l_commitdate
    and l_receiptdate >= $border
    and l_receiptdate < ($border + Interval("P365D"))
group by
    l_shipmode
order by
    l_shipmode;

	iteration 0:	ok	143.161076s seconds
Query13:
Query text:
$orders = (
    select
        o_orderkey,
        o_custkey
    from
        `olap_yatests/tpch/s0_1/orders`
    where
        o_comment NOT LIKE "%special%requests%"
);
select
    c_count as c_count,
    count(*) as custdist
from
    (
        select
            c.c_custkey as c_custkey,
            count(o.o_orderkey) as c_count
        from
            `olap_yatests/tpch/s0_1/customer` as c left outer join $orders as o on
                c.c_custkey = o.o_custkey
        group by
            c.c_custkey
    ) as c_orders
group by
    c_count
order by
    custdist desc,
    c_count desc;

	iteration 0:	ok	128.444835s seconds
Query14:
Query text:
$z100_35 = 100.;
$z0_12 = 0.;
$z1_12 = 1;
$border = Date("1995-09-01");
select
    $z100_35 * sum(case
        when p.p_type like 'PROMO%'
            then l.l_extendedprice * ($z1_12 - l.l_discount)
        else $z0_12
    end) / sum(l.l_extendedprice * ($z1_12 - l.l_discount)) as promo_revenue
from
    `olap_yatests/tpch/s0_1/lineitem` as l
join
    `olap_yatests/tpch/s0_1/part` as p
on
    l.l_partkey = p.p_partkey
where
    l.l_shipdate >= $border
    and l.l_shipdate < ($border + Interval("P30D"));

	iteration 0:	ok	17.569053s seconds
Query15:
Query text:
$z1_12 = 1;
$round = ($x, $y) -> { return Math::Round($x, $y); };
$border = Date("1996-01-01");
$revenue0 = (
    select
        l_suppkey as supplier_no,
        $round(sum(l_extendedprice * ($z1_12 - l_discount)), -8) as total_revenue
    from
        `olap_yatests/tpch/s0_1/lineitem`
    where
        l_shipdate  >= $border
        and l_shipdate < ($border + Interval("P91D"))
    group by
        l_suppkey
);
$max_revenue = (
select
    max(total_revenue) as max_revenue
from
    $revenue0
);
$join1 = (
select
    s.s_suppkey as s_suppkey,
    s.s_name as s_name,
    s.s_address as s_address,
    s.s_phone as s_phone,
    r.total_revenue as total_revenue
from
    `olap_yatests/tpch/s0_1/supplier` as s
join
    $revenue0 as r
on
    s.s_suppkey = r.supplier_no
);
select
    j.s_suppkey as s_suppkey,
    j.s_name as s_name,
    j.s_address as s_address,
    j.s_phone as s_phone,
    j.total_revenue as total_revenue
from
    $join1 as j
join
    $max_revenue as m
on
    j.total_revenue = m.max_revenue
order by
    s_suppkey;

	iteration 0:	ok	16.504136s seconds
Query16:
Query text:
$p = (
select
    p.p_brand as p_brand,
    p.p_type as p_type,
    p.p_size as p_size,
    ps.ps_suppkey as ps_suppkey
from
    `olap_yatests/tpch/s0_1/part` as p
join
    `olap_yatests/tpch/s0_1/partsupp` as ps
on
    p.p_partkey = ps.ps_partkey
where
    p.p_brand <> 'Brand#45'
    and p.p_type not like 'MEDIUM POLISHED%'
    and (p.p_size = 49 or p.p_size = 14 or p.p_size = 23 or p.p_size = 45 or p.p_size = 19 or p.p_size = 3 or p.p_size = 36 or p.p_size = 9)
);
$s = (
select
    s_suppkey
from
    `olap_yatests/tpch/s0_1/supplier`
where
    s_comment like "%Customer%Complaints%"
);
$j = (
select
    p.p_brand as p_brand,
    p.p_type as p_type,
    p.p_size as p_size,
    p.ps_suppkey as ps_suppkey
from
    $p as p
left only join
    $s as s
on
    p.ps_suppkey = s.s_suppkey
);
select
    j.p_brand as p_brand,
    j.p_type as p_type,
    j.p_size as p_size,
    count(distinct j.ps_suppkey) as supplier_cnt
from
    $j as j
group by
    j.p_brand,
    j.p_type,
    j.p_size
order by
    supplier_cnt desc,
    p_brand,
    p_type,
    p_size
;

	iteration 0:	ok	55.268691s seconds
Query17:
Query text:
$z7_35 = 7.;
$z0_2_12 = 0.2;
$p = select p_partkey from `olap_yatests/tpch/s0_1/part`
where
    p_brand = 'Brand#23'
    and p_container = 'MED BOX'
;
$threshold = (
select
    $z0_2_12 * avg(l_quantity) as threshold,
    l.l_partkey as l_partkey
from
    `olap_yatests/tpch/s0_1/lineitem` as l
left semi join
    $p as p
on  
    p.p_partkey = l.l_partkey
group by
    l.l_partkey
);
$l = select l.l_partkey as l_partkey, l.l_quantity as l_quantity, l.l_extendedprice as l_extendedprice
from
    `olap_yatests/tpch/s0_1/lineitem` as l
join
    $p as p
on  
    p.p_partkey = l.l_partkey;
select
    sum(l.l_extendedprice) / $z7_35 as avg_yearly
from
    $l as l
join
    $threshold as t
on  
    t.l_partkey = l.l_partkey
where
    l.l_quantity < t.threshold;

	iteration 0:	ok	14.308177s seconds
Query18:
Query text:
$in = (
select
    l_orderkey,
    sum(l_quantity) as sum_l_quantity
from
    `olap_yatests/tpch/s0_1/lineitem`
group by
    l_orderkey having
        sum(l_quantity) > 300
);
$join1 = (
select
    c.c_name as c_name,
    c.c_custkey as c_custkey,
    o.o_orderkey as o_orderkey,
    o.o_orderdate as o_orderdate,
    o.o_totalprice as o_totalprice
from
    `olap_yatests/tpch/s0_1/customer` as c
join
    `olap_yatests/tpch/s0_1/orders` as o
on
    c.c_custkey = o.o_custkey
);
select
    j.c_name as c_name,
    j.c_custkey as c_custkey,
    j.o_orderkey as o_orderkey,
    j.o_orderdate as o_orderdate,
    j.o_totalprice as o_totalprice,
    sum(i.sum_l_quantity) as sum_l_quantity
from
    $join1 as j
join
    $in as i
on
    i.l_orderkey = j.o_orderkey
group by
    j.c_name,
    j.c_custkey,
    j.o_orderkey,
    j.o_orderdate,
    j.o_totalprice
order by
    o_totalprice desc,
    o_orderdate,
    o_orderkey
limit 100;

	iteration 0:	ok	23.143726s seconds
Query19:
Query text:
$z1_12 = 1;
select
    sum(l.l_extendedprice* ($z1_12 - l.l_discount)) as revenue
from
    `olap_yatests/tpch/s0_1/lineitem` as l
join
    `olap_yatests/tpch/s0_1/part` as p
on
    p.p_partkey = l.l_partkey
where
    (
        p.p_brand = 'Brand#12'
        and (p.p_container = 'SM CASE' or p.p_container = 'SM BOX' or p.p_container = 'SM PACK' or p.p_container = 'SM PKG')
        and l.l_quantity >= 1 and l.l_quantity <= 1 + 10
        and p.p_size between 1 and 5
        and (l.l_shipmode = 'AIR' or l.l_shipmode = 'AIR REG')
        and l.l_shipinstruct = 'DELIVER IN PERSON'
    )
    or
    (
        p.p_brand = 'Brand#23'
        and (p.p_container = 'MED BAG' or p.p_container = 'MED BOX' or p.p_container = 'MED PKG' or p.p_container = 'MED PACK')
        and l.l_quantity >= 10 and l.l_quantity <= 10 + 10
        and p.p_size between 1 and 10
        and (l.l_shipmode = 'AIR' or l.l_shipmode = 'AIR REG')
        and l.l_shipinstruct = 'DELIVER IN PERSON'
    )
    or
    (
        p.p_brand = 'Brand#34'
        and (p.p_container = 'LG CASE' or p.p_container = 'LG BOX' or p.p_container = 'LG PACK' or p.p_container = 'LG PKG')
        and l.l_quantity >= 20 and l.l_quantity <= 20 + 10
        and p.p_size between 1 and 15
        and (l.l_shipmode = 'AIR' or l.l_shipmode = 'AIR REG')
        and l.l_shipinstruct = 'DELIVER IN PERSON'
    );

	iteration 0:	ok	120.936545s seconds
Query20:
Query text:
$z0_5_35 = 0.5;
$border = Date("1994-01-01");
$threshold = (
select
    $z0_5_35 * sum(l_quantity) as threshold,
    l_partkey as l_partkey,
    l_suppkey as l_suppkey
from
    `olap_yatests/tpch/s0_1/lineitem`
where
    l_shipdate >= $border
    and l_shipdate < ($border + Interval("P365D"))
group by
    l_partkey, l_suppkey
);
$parts = (
select
    p_partkey
from
    `olap_yatests/tpch/s0_1/part`
where
    p_name like 'forest%'
);
$join1 = (
select
    ps.ps_suppkey as ps_suppkey,
    ps.ps_availqty as ps_availqty,
    ps.ps_partkey as ps_partkey
from
    `olap_yatests/tpch/s0_1/partsupp` as ps
join any
    $parts as p
on
    ps.ps_partkey = p.p_partkey
);
$join2 = (
select
    distinct(j.ps_suppkey) as ps_suppkey
from
    $join1 as j
join any
    $threshold as t
on
    j.ps_partkey = t.l_partkey and j.ps_suppkey = t.l_suppkey
where
    j.ps_availqty > t.threshold
);
$join3 = (
select
    j.ps_suppkey as ps_suppkey,
    s.s_name as s_name,
    s.s_address as s_address,
    s.s_nationkey as s_nationkey
from
    $join2 as j
join any
    `olap_yatests/tpch/s0_1/supplier` as s
on
    j.ps_suppkey = s.s_suppkey
);
select
    j.s_name as s_name,
    j.s_address as s_address
from
    $join3 as j
join
    `olap_yatests/tpch/s0_1/nation` as n
on
    j.s_nationkey = n.n_nationkey
where
    n.n_name = 'CANADA'
order by
    s_name;

	iteration 0:	ok	100.867594s seconds
Query21:
Query text:
$n = select n_nationkey from `olap_yatests/tpch/s0_1/nation`
where n_name = 'SAUDI ARABIA';
$s = select s_name, s_suppkey from `olap_yatests/tpch/s0_1/supplier` as supplier
join $n as nation
on supplier.s_nationkey = nation.n_nationkey;
$l = select l_suppkey, l_orderkey from `olap_yatests/tpch/s0_1/lineitem`
where l_receiptdate > l_commitdate;
$j1 = select s_name, l_suppkey, l_orderkey from $l as l1
join $s as supplier
on l1.l_suppkey = supplier.s_suppkey;
$j2 = select l1.l_orderkey as l_orderkey, l1.l_suppkey as l_suppkey, l1.s_name as s_name, l2.l_receiptdate as l_receiptdate, l2.l_commitdate as l_commitdate from $j1 as l1
join `olap_yatests/tpch/s0_1/lineitem` as l2
on l1.l_orderkey = l2.l_orderkey
where l2.l_suppkey <> l1.l_suppkey;
$j2_1 = select s_name, l1.l_suppkey as l_suppkey, l1.l_orderkey as l_orderkey from $j1 as l1
left semi join $j2 as l2
on l1.l_orderkey = l2.l_orderkey;
$j2_2 = select l_orderkey from $j2 where l_receiptdate > l_commitdate;
$j3 = select s_name, l_suppkey, l_orderkey from $j2_1 as l1
left only join $j2_2 as l3
on l1.l_orderkey = l3.l_orderkey;
$j4 = select s_name from $j3 as l1
join `olap_yatests/tpch/s0_1/orders` as orders
on orders.o_orderkey = l1.l_orderkey
where o_orderstatus = 'F';
select s_name,
    count(*) as numwait from $j4
group by
    s_name
order by
    numwait desc,
    s_name
limit 100;

	iteration 0:	ok	92.096166s seconds
Query22:
Query text:
$z0_12 = 0.;
$customers = (
select
    c_acctbal,
    c_custkey,
    Substring(CAST(c_phone AS STRING), 0u, 2u) as cntrycode
from
    `olap_yatests/tpch/s0_1/customer`
);
$c = (
select
    c_acctbal,
    c_custkey,
    cntrycode
from
    $customers
where
    cntrycode = '13' or cntrycode = '31' or cntrycode = '23' or cntrycode = '29' or cntrycode = '30' or cntrycode = '18' or cntrycode = '17'
);
$avg = (
select
    avg(c_acctbal) as a
from
    $c
where
    c_acctbal > $z0_12
);
$join1 = (
select
    c.c_acctbal as c_acctbal,
    c.c_custkey as c_custkey,
    c.cntrycode as cntrycode
from
    $c as c
cross join
    $avg as a
where
    c.c_acctbal > a.a
);
$join2 = (
select
    j.cntrycode as cntrycode,
    c_custkey,
    j.c_acctbal as c_acctbal
from
    $join1 as j
left only join 
    `olap_yatests/tpch/s0_1/orders` as o
on
    o.o_custkey = j.c_custkey
);
select
    cntrycode,
    count(*) as numcust,
    sum(c_acctbal) as totacctbal
from
    $join2 as custsale
group by
    cntrycode
order by
    cntrycode;

	iteration 0:	ok	12.276655s seconds

Results for 1 iterations
┌─────────┬──────────┬──────────┬──────────┬──────────┬──────────┬───────────┬─────────┬─────────┬─────────┬─────────┬────────────────┬────────────────┬────────────────┬───────────┬──────────────┬────────────┬────────────┐
│ Query # │ ColdTime │ Min      │ Max      │ Mean     │ Median   │ UnixBench │ Std     │ RttMin  │ RttMax  │ RttAvg  │ CompilationMin │ CompilationMax │ CompilationAvg │ GrossTime │ SuccessCount │ FailsCount │ DiffsCount │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query01 │   8.548  │   8.548  │   8.548  │   8.548  │   8.548  │   8.548   │   0.000 │   0.716 │   0.716 │   0.716 │   1.869        │   1.869        │   1.869        │   9.264   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query02 │  14.129  │  14.129  │  14.129  │  14.129  │  14.128  │  14.129   │   0.001 │   0.551 │   0.551 │   0.551 │   6.735        │   6.735        │   6.735        │  14.680   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query03 │  78.045  │  78.045  │  78.045  │  78.045  │  78.044  │  78.045   │   0.001 │   0.272 │   0.272 │   0.272 │   2.330        │   2.330        │   2.330        │  78.316   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query04 │  11.682  │  11.682  │  11.682  │  11.682  │  11.682  │  11.682   │   0.000 │   0.796 │   0.796 │   0.796 │   2.063        │   2.063        │   2.063        │  12.478   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query05 │ 121.116  │ 121.116  │ 121.116  │ 121.116  │ 121.115  │ 121.116   │   0.001 │   0.670 │   0.670 │   0.670 │   4.223        │   4.223        │   4.223        │ 121.786   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query06 │  13.663  │  13.663  │  13.663  │  13.663  │  13.662  │  13.663   │   0.001 │   0.190 │   0.190 │   0.190 │   1.386        │   1.386        │   1.386        │  13.853   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query07 │  24.686  │  24.686  │  24.686  │  24.686  │  24.686  │  24.686   │   0.000 │   0.610 │   0.610 │   0.610 │   4.021        │   4.021        │   4.021        │  25.296   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query08 │  94.242  │  94.242  │  94.242  │  94.242  │  94.242  │  94.242   │   0.000 │   0.701 │   0.701 │   0.701 │   7.961        │   7.961        │   7.961        │  94.943   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query09 │  20.422  │  20.422  │  20.422  │  20.422  │  20.421  │  20.422   │   0.001 │   0.796 │   0.796 │   0.796 │   4.176        │   4.176        │   4.176        │  21.218   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query10 │ 141.179  │ 141.179  │ 141.179  │ 141.179  │ 141.178  │ 141.179   │   0.001 │   0.492 │   0.492 │   0.492 │   5.115        │   5.115        │   5.115        │ 141.670   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query11 │  14.958  │  14.958  │  14.958  │  14.958  │  14.958  │  14.958   │   0.000 │   0.393 │   0.393 │   0.393 │   4.825        │   4.825        │   4.825        │  15.352   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query12 │ 142.940  │ 142.940  │ 142.940  │ 142.940  │ 142.939  │ 142.940   │   0.001 │   0.221 │   0.221 │   0.221 │   1.840        │   1.840        │   1.840        │ 143.161   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query13 │ 127.968  │ 127.968  │ 127.968  │ 127.968  │ 127.967  │ 127.968   │   0.001 │   0.477 │   0.477 │   0.477 │   3.083        │   3.083        │   3.083        │ 128.445   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query14 │  17.309  │  17.309  │  17.309  │  17.309  │  17.308  │  17.309   │   0.001 │   0.260 │   0.260 │   0.260 │   1.549        │   1.549        │   1.549        │  17.569   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query15 │  16.051  │  16.051  │  16.051  │  16.051  │  16.050  │  16.051   │   0.001 │   0.453 │   0.453 │   0.453 │   2.675        │   2.675        │   2.675        │  16.504   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query16 │  54.620  │  54.620  │  54.620  │  54.620  │  54.620  │  54.620   │   0.000 │   0.648 │   0.648 │   0.648 │   6.587        │   6.587        │   6.587        │  55.269   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query17 │  13.768  │  13.768  │  13.768  │  13.768  │  13.768  │  13.768   │   0.000 │   0.540 │   0.540 │   0.540 │   3.491        │   3.491        │   3.491        │  14.308   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query18 │  21.770  │  21.770  │  21.770  │  21.770  │  21.770  │  21.770   │   0.000 │   1.373 │   1.373 │   1.373 │   3.209        │   3.209        │   3.209        │  23.144   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query19 │ 120.690  │ 120.690  │ 120.690  │ 120.690  │ 120.689  │ 120.690   │   0.001 │   0.247 │   0.247 │   0.247 │   3.806        │   3.806        │   3.806        │ 120.937   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query20 │ 100.345  │ 100.345  │ 100.345  │ 100.345  │ 100.344  │ 100.345   │   0.001 │   0.523 │   0.523 │   0.523 │   6.634        │   6.634        │   6.634        │ 100.868   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query21 │  91.381  │  91.381  │  91.381  │  91.381  │  91.381  │  91.381   │   0.000 │   0.715 │   0.715 │   0.715 │   4.211        │   4.211        │   4.211        │  92.096   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query22 │  11.864  │  11.864  │  11.864  │  11.864  │  11.863  │  11.864   │   0.001 │   0.413 │   0.413 │   0.413 │   3.332        │   3.332        │   3.332        │  12.277   │ 1            │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Sum     │ 1261.375 │ 1261.375 │ 1261.375 │ 1261.375 │ 1261.363 │ 1261.375  │   0.000 │  12.057 │  12.057 │  12.057 │  85.121        │  85.121        │  85.122        │ 143.196   │ 22           │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Avg     │  57.335  │  57.335  │  57.335  │  57.335  │  57.335  │  57.335   │   0.000 │   0.548 │   0.548 │   0.548 │   3.869        │   3.869        │   3.869        │   6.509   │ 22           │            │            │
├─────────┼──────────┼──────────┼──────────┼──────────┼──────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ GAvg    │  36.233  │  36.233  │  36.233  │  36.233  │  36.233  │  36.233   │   0.000 │   0.491 │   0.491 │   0.001 │   3.459        │   3.459        │   0.001        │   0.000   │ 22           │            │            │
└─────────┴──────────┴──────────┴──────────┴──────────┴──────────┴───────────┴─────────┴─────────┴─────────┴─────────┴────────────────┴────────────────┴────────────────┴───────────┴──────────────┴────────────┴────────────┘

Results saved to f824baa9cfbbd7f7b5193c0ff93cc740.result
Json report saved to f824baa9cfbbd7f7b5193c0ff93cc740.stats.json

2025-10-23 13:07:36,901 - DEBUG - ya.test - _save_outputs: Command (pid 2724002) errors:

[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
[K
2025-10-23 13:07:36,901 - DEBUG - ya.test - verify_sanitize_errors: No sanitizer errors found
2025-10-23 13:07:37,983 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:07:37,990 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes HTTP/1.1" 200 801
2025-10-23 13:07:37,995 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:07:37,999 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:07:38,028 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 552
2025-10-23 13:07:38,032 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:07:38,035 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:07:38,045 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 552
2025-10-23 13:07:38,640 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:07:38,646 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes HTTP/1.1" 200 800
2025-10-23 13:07:38,651 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:07:38,654 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:07:38,664 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 551
2025-10-23 13:07:38,666 - INFO - root - __create_iterations_table: All nodes before filtering: [('29520@ghrun-6mxvg3lfr4.auto.internal', <Role.UNKNOWN: 0>)]
2025-10-23 13:07:38,666 - INFO - root - __create_iterations_table: Auto-discovered hosts (all roles): 1 hosts from 1 total nodes
2025-10-23 13:07:38,666 - INFO - root - __create_iterations_table: Host to nodes mapping: [('ghrun-6mxvg3lfr4.auto.internal', 1)]
2025-10-23 13:07:38,667 - INFO - root - allure_test_description: iterations_table created, length: 515
2025-10-23 13:07:38,667 - INFO - root - allure_test_description: Added iterations table to description HTML
2025-10-23 13:07:38,924 - DEBUG - matplotlib - wrapper: CACHEDIR=/home/runner/.cache/matplotlib
2025-10-23 13:07:38,928 - DEBUG - matplotlib.font_manager - _load_fontmanager: Using fontManager instance from /home/runner/.cache/matplotlib/fontlist-v330.json
2025-10-23 13:07:39,889 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out.5
2025-10-23 13:07:39,890 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err.5
2025-10-23 13:07:39,891 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', 'server', '--help']' in 'None' (waiting)
2025-10-23 13:07:39,892 - DEBUG - ya.test - execute: Command pid: 2756458
2025-10-23 13:07:40,573 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) rc: 0
2025-10-23 13:07:40,574 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) elapsed time (sec): 0.6806111335754395
2025-10-23 13:07:40,574 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) idrss: 0
2025-10-23 13:07:40,575 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) inblock: 0
2025-10-23 13:07:40,575 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) isrss: 0
2025-10-23 13:07:40,575 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) ixrss: 0
2025-10-23 13:07:40,575 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) majflt: 0
2025-10-23 13:07:40,576 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) maxrss: 851736
2025-10-23 13:07:40,576 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) minflt: 45931
2025-10-23 13:07:40,576 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) msgrcv: 0
2025-10-23 13:07:40,577 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) msgsnd: 0
2025-10-23 13:07:40,577 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) nivcsw: 2
2025-10-23 13:07:40,577 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) nsignals: 0
2025-10-23 13:07:40,577 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) nswap: 0
2025-10-23 13:07:40,578 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) nvcsw: 14
2025-10-23 13:07:40,578 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) oublock: 24
2025-10-23 13:07:40,578 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) stime: 0.21306799999999998
2025-10-23 13:07:40,578 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) utime: 0.42305099999999995
2025-10-23 13:07:40,579 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) wtime: 0.682
2025-10-23 13:07:40,579 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) output:
Usage: ydbd [global options...] server [options...]

Description: Execute YDB server

Global options:
  {-k|--token}, {-s|--server}, {-t|--time}, {-o|--progress}, --ca-file, --client-cert-file, --client-cert-key-file, --client-cert-key-password-file, {-f|--token-file}, --profile, --user, --password-file, --no-password
  To get full description of these options run 'ydbd --help'.

Options:
  {-h|--help}               Print usage, -hh for detailed help
  --breakpad-minidumps-path PATH
                            Path for minidumps generated by internal breakpad
  --breakpad-minidumps-script SCRIPT
                            Script for process minidumps generated by internal breakpad
  --cluster-name [STR]      which cluster this node belongs to (default: "unknown")
  --log-level [1-7]         default logging level (default: 4)
  --log-sampling-level [1-7]
                            sample logs equal to or above this level (default: 7)
  --log-sampling-rate [0,4294967295]
                            log only each Nth message with priority matching sampling level; 0 turns log sampling off (default: 0)
  --log-format [full|short|json]
                            log format to use; short skips the priority and timestamp (default: "full")
  --syslog                  send to syslog instead of stderr (default: 0)
  --syslog-service-tag NAME unique tag for syslog
  --log-file-name NAME      file name for log backend
  --tcp                     start tcp interconnect (default: 0)
  {-n|--node} [NUM|static]  Node ID or 'static' to auto-detect using naming file and ic-port.
  --node-broker ADDR        node broker address host:port
  --node-broker-port PORT   node broker port (hosts from naming file are used)
  --node-broker-use-tls PORT
                            use tls for node broker (hosts from naming file are used)
  --node-address ADDR       address for dynamic node
  --bridge-pile-name PILE   pile name for bridged mode
  --node-host NAME          hostname for dynamic node
  --node-resolve-host NAME  resolve hostname for dynamic node
  --node-domain NAME        domain for dynamic node to register in
  --ic-port NUM             interconnect port
  --sqs-port NUM            sqs port
  --tenant NAME             add binding for Local service to specified tenant, might be one of {'/<root>', '/<root>/<path_to_user>'}
  --mon-port [NUM]          Monitoring port
  --mon-address [ADDR]      Monitoring address
  --mon-cert [PATH]         Monitoring certificate (https)
  --mon-threads NUM         Monitoring http server threads
  --suppress-version-check  Suppress version compatibility checking via IC (default: 0)
  --grpc-port PORT          enable gRPC server on port
  --grpcs-port PORT         enable gRPC SSL server on port
  --grpc-public-host HOST   set public gRPC host for discovery
  --grpc-public-port PORT   set public gRPC port for discovery
  --grpcs-public-port PORT  set public gRPC SSL port for discovery
  --kafka-port [PORT]       enable kafka proxy to listen on port
  --pgwire-address ADDR     set host for listen postgres protocol
  --pgwire-port [PORT]      set port for listen postgres protocol
  --grpc-public-address-v4 ADDR
                            set public ipv4 address for discovery
  --grpc-public-address-v6 ADDR
                            set public ipv6 address for discovery
  --grpc-public-target-name-override HOST
                            set public hostname override for TLS in discovery
  {-r|--restarts-count-file} [PATH]
                            State for restarts monitoring counter,
                            use empty string to disable (default: "")
  --compile-inflight-limit [NUM]
                            Limit on parallel programs compilation
  --udf VAL                 Load shared library with UDF by given path
  --udfs-dir VAL            Load all shared libraries with UDFs found in given directory
  --node-kind NAME          Kind of the node (affects list of services activated allowed values are {'ydb', 'yq'} )
  --node-type NAME          Type of the node
  --cert PATH               Path to client certificate file (PEM) for interconnect
  --grpc-cert PATH          Path to client certificate file (PEM) for grpc
  --ic-cert PATH            Path to client certificate file (PEM) for interconnect
  --key PATH                Path to private key file (PEM) for interconnect
  --grpc-key PATH           Path to private key file (PEM) for grpc
  --ic-key PATH             Path to private key file (PEM) for interconnect
  --ca PATH                 Path to certificate authority file (PEM) for interconnect
  --grpc-ca PATH            Path to certificate authority file (PEM) for grpc
  --ic-ca PATH              Path to certificate authority file (PEM) for interconnect
  --data-center NAME        data center name (used to describe dynamic node location)
  --module NAME             module name (used to describe dynamic node location)
  --rack NAME               rack name (used to describe dynamic node location)
  --body NUM                body name (used to describe dynamic node location)
  --yaml-config [PATH]      Yaml config
  --config-dir PATH         Directory to store Yaml config
  --tiny-mode               Start in a tiny mode (default: 0)
  --workload NAME           Workload to be served by this node, allowed values are 'hybrid', 'analytical', 'operational'
  --seed-nodes PATH         Path to seed nodes configuration file
  --mbus                    Start MessageBus proxy (default: 0)
  --mbus-port PORT          MessageBus proxy port
  --mbus-trace-path PATH    Path for trace files
  --proxy ADDR              Bind to proxy(-ies)
  --mbus-total-timeout MILLISECONDS default: 300000
  --mbus-connect-timeout MILLISECONDS default: 15000
  --mbus-send-timeout MILLISECONDS default: 0
  --mbus-send-threshold BYTES default: 10240
  --mbus-max-in-flight COUNT default: 16508248
  --mbus-max-in-flight-by-size BYTES default: 16904445952
  --mbus-per-con-max-in-flight COUNT default: 0
  --mbus-per-con-max-in-flight-by-size BYTES default: 0
  --mbus-default-buffer-size BYTES default: 10240
  --mbus-max-buffer-size BYTES default: 1048576
  --mbus-max-message-size BYTES default: 27262976
  --mbus-socket-recv-buffer-size BYTES default: 0
  --mbus-socket-send-buffer-size BYTES default: 0
  --mbus-socket-tos [0x00, 0xFF] 
  --mbus-tcp-cork BOOL      default: 0
  --mbus-cork SECONDS       default: 0
  --mbus-on-message-in-pool BOOL default: 1
  --mbus-on-reply-in-pool BOOL default: 1
  --mbus-worker-count COUNT default: 16
  --label KEY=VALUE         labels for this node
  --alloc-file [PATH]       Allocator config file
  --audit-file [PATH]       File with audit config
  --auth-file [PATH]        authorization configuration
  --auth-token-file [PATH]  authorization token configuration
  --bootstrap-file [PATH]   Bootstrap config file
  --bs-file [PATH]          blobstorage config file
  --channels-file [PATH]    tablet channel profile config file
  --cms-file [PATH]         CMS config file
  --domains-file [PATH]     domain config file
  --drivemodel-file [PATH]  drive model config file
  --dyn-nodes-file [PATH]   Dynamic nodes config file
  --feature-flags-file [PATH]
                            File with feature flags to turn new features on/off
  --fq-file [PATH]          Federated Query config file
  --grpc-file [PATH]        gRPC config file
  --http-proxy-file [PATH]  Http proxy config file
  --ic-file [PATH]          interconnect config file
  --incrhuge-file [PATH]    incremental huge blob keeper config file
  --key-file [PATH]         tenant encryption key configuration
  --kqp-file [PATH]         Kikimr Query Processor config file
  --log-file [PATH]         log config file
  --memorylog-file [PATH]   set buffer size for memory log
  --metering-file [PATH]    File with metering config
  --naming-file [PATH]      static nameservice config file
  --netclassifier-file [PATH]
                            NetClassifier config file
  --pdisk-key-file [PATH]   pdisk encryption key configuration
  --pq-file [PATH]          PersQueue config file
  --pqcd-file [PATH]        PersQueue cluster discovery config file
  --public-http-file [PATH] Public HTTP config file
  --rb-file [PATH]          File with resource broker customizations
  --sqs-file [PATH]         SQS config file
  --sys-file [PATH]         actor system config file (use dummy config by default)
  --vdisk-file [PATH]       vdisk kind config file

Free args: min: 0, max: unlimited
  PATH  path to protobuf file; files are merged in order in which they are enlisted

2025-10-23 13:07:40,579 - DEBUG - ya.test - _save_outputs: Command (pid 2756458) errors:

2025-10-23 13:07:40,580 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: CFG_DIR_PATH="/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/kikimr_configs"
2025-10-23 13:07:40,580 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: Final command: /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd server --suppress-version-check --yaml-config=$CFG_DIR_PATH/config.yaml --node=1 --log-file-name=/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/node_1/logfile_smvdbt5o.log --grpc-port=8799 --mon-port=24642 --ic-port=3876 --module=1
2025-10-23 13:07:40,581 - INFO - ydb.tests.library.harness.kikimr_runner - start: Started node localhost:8799/1
2025-10-23 13:07:40,582 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out.6
2025-10-23 13:07:40,583 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err.6
2025-10-23 13:07:40,584 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', '-V']' in 'None' (waiting)
2025-10-23 13:07:40,585 - DEBUG - ya.test - execute: Command pid: 2756993
2025-10-23 13:07:41,238 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) rc: 0
2025-10-23 13:07:41,239 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) elapsed time (sec): 0.6520595550537109
2025-10-23 13:07:41,239 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) idrss: 0
2025-10-23 13:07:41,240 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) inblock: 0
2025-10-23 13:07:41,240 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) isrss: 0
2025-10-23 13:07:41,240 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) ixrss: 0
2025-10-23 13:07:41,240 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) majflt: 0
2025-10-23 13:07:41,241 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) maxrss: 851736
2025-10-23 13:07:41,241 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) minflt: 45241
2025-10-23 13:07:41,241 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) msgrcv: 0
2025-10-23 13:07:41,242 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) msgsnd: 0
2025-10-23 13:07:41,242 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) nivcsw: 1
2025-10-23 13:07:41,242 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) nsignals: 0
2025-10-23 13:07:41,242 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) nswap: 0
2025-10-23 13:07:41,243 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) nvcsw: 15
2025-10-23 13:07:41,243 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) oublock: 8
2025-10-23 13:07:41,243 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) stime: 0.188187
2025-10-23 13:07:41,243 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) utime: 0.419302
2025-10-23 13:07:41,244 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) wtime: 0.654
2025-10-23 13:07:41,244 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) output:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582

Other info:
    Build by: runner
    Top src dir: /home/runner/actions_runner/_work/ydb/ydb
    Top build dir: /home/runner/.ya/build
    Hostname: ghrun-6mxvg3lfr4
    Host information: 
        Linux ghrun-6mxvg3lfr4 5.15.0-157-generic #167-Ubuntu SMP Wed Sep 17 21:35:53 UTC 2025 x86_64

    
Build info:
    Compiler: /home/runner/.ya/tools/v4/9944335923/bin/clang++
    Compiler version: 
        clang version 20.1.8
        Target: x86_64-unknown-linux-gnu
        Thread model: posix
        InstalledDir: /home/runner/.ya/tools/v4/9944335923/bin
    Compile flags: -Xclang -fdebug-compilation-dir -Xclang /tmp -pipe -m64 -O3 -gline-tables-only -fno-common -ffunction-sections -fdata-sections -fsized-deallocation -fexceptions -fuse-init-array -fcolor-diagnostics -faligned-allocation -Werror -Wall -Wextra -Wno-parentheses -Wno-implicit-const-int-float-conversion -Wno-unknown-warning-option -D_THREAD_SAFE -D_PTHREADS -D_REENTRANT -D_LARGEFILE_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D_YNDX_LIBUNWIND_ENABLE_EXCEPTION_BACKTRACE -D__LONG_LONG_SUPPORTED -fno-omit-frame-pointer -Wno-unknown-argument -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -DCATBOOST_OPENSOURCE=yes -fsanitize=address -Daddress_sanitizer_enabled -fno-omit-frame-pointer -fsanitize-blacklist=/home/runner/actions_runner/_work/ydb/ydb/build/sanitize-blacklist.txt -fno-sanitize-link-runtime -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mcx16 -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -std=c++20 -Wimport-preprocessor-directive-pedantic -Woverloaded-virtual -Wno-ambiguous-reversed-operator -Wno-defaulted-function-deleted -Wno-deprecated-anon-enum-enum-conversion -Wno-deprecated-enum-enum-conversion -Wno-deprecated-enum-float-conversion -Wno-deprecated-volatile -Wno-pessimizing-move -Wno-undefined-var-template -nostdinc++ -DCATBOOST_OPENSOURCE=yes -nostdinc++

2025-10-23 13:07:41,245 - DEBUG - ya.test - _save_outputs: Command (pid 2756993) errors:

2025-10-23 13:07:41,245 - INFO - ydb.tests.library.harness.kikimr_runner - start: Node 1 version:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582
2025-10-23 13:07:41,246 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: CFG_DIR_PATH="/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/kikimr_configs"
2025-10-23 13:07:41,246 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: Final command: /home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd server --suppress-version-check --yaml-config=$CFG_DIR_PATH/config.yaml --node-broker=localhost:8799 --tenant=/local/test_db --log-file-name=/home/runner/.ya/build/build_root/9bm4/00298e/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_parallel/testing_out_stuff/test_parallel.py.TestTpchParallelS0_1T10.test.Query01/cluster/slot_1/logfile_f7shq01_.log --grpc-port=62059 --mon-port=5409 --ic-port=29520
2025-10-23 13:07:41,246 - INFO - ydb.tests.library.harness.kikimr_runner - start: Started node localhost:62059/1
2025-10-23 13:07:41,248 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out.7
2025-10-23 13:07:41,249 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err.7
2025-10-23 13:07:41,250 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/00298e/ydb/apps/ydbd/ydbd', '-V']' in 'None' (waiting)
2025-10-23 13:07:41,251 - DEBUG - ya.test - execute: Command pid: 2757221
2025-10-23 13:07:41,879 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) rc: 0
2025-10-23 13:07:41,880 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) elapsed time (sec): 0.6270763874053955
2025-10-23 13:07:41,880 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) idrss: 0
2025-10-23 13:07:41,880 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) inblock: 0
2025-10-23 13:07:41,880 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) isrss: 0
2025-10-23 13:07:41,880 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) ixrss: 0
2025-10-23 13:07:41,881 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) majflt: 0
2025-10-23 13:07:41,881 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) maxrss: 851736
2025-10-23 13:07:41,881 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) minflt: 45149
2025-10-23 13:07:41,881 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) msgrcv: 0
2025-10-23 13:07:41,881 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) msgsnd: 0
2025-10-23 13:07:41,882 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) nivcsw: 0
2025-10-23 13:07:41,882 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) nsignals: 0
2025-10-23 13:07:41,882 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) nswap: 0
2025-10-23 13:07:41,882 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) nvcsw: 14
2025-10-23 13:07:41,882 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) oublock: 8
2025-10-23 13:07:41,882 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) stime: 0.180746
2025-10-23 13:07:41,883 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) utime: 0.401906
2025-10-23 13:07:41,883 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) wtime: 0.629
2025-10-23 13:07:41,883 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) output:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582

Other info:
    Build by: runner
    Top src dir: /home/runner/actions_runner/_work/ydb/ydb
    Top build dir: /home/runner/.ya/build
    Hostname: ghrun-6mxvg3lfr4
    Host information: 
        Linux ghrun-6mxvg3lfr4 5.15.0-157-generic #167-Ubuntu SMP Wed Sep 17 21:35:53 UTC 2025 x86_64

    
Build info:
    Compiler: /home/runner/.ya/tools/v4/9944335923/bin/clang++
    Compiler version: 
        clang version 20.1.8
        Target: x86_64-unknown-linux-gnu
        Thread model: posix
        InstalledDir: /home/runner/.ya/tools/v4/9944335923/bin
    Compile flags: -Xclang -fdebug-compilation-dir -Xclang /tmp -pipe -m64 -O3 -gline-tables-only -fno-common -ffunction-sections -fdata-sections -fsized-deallocation -fexceptions -fuse-init-array -fcolor-diagnostics -faligned-allocation -Werror -Wall -Wextra -Wno-parentheses -Wno-implicit-const-int-float-conversion -Wno-unknown-warning-option -D_THREAD_SAFE -D_PTHREADS -D_REENTRANT -D_LARGEFILE_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D_YNDX_LIBUNWIND_ENABLE_EXCEPTION_BACKTRACE -D__LONG_LONG_SUPPORTED -fno-omit-frame-pointer -Wno-unknown-argument -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -DCATBOOST_OPENSOURCE=yes -fsanitize=address -Daddress_sanitizer_enabled -fno-omit-frame-pointer -fsanitize-blacklist=/home/runner/actions_runner/_work/ydb/ydb/build/sanitize-blacklist.txt -fno-sanitize-link-runtime -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mcx16 -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -std=c++20 -Wimport-preprocessor-directive-pedantic -Woverloaded-virtual -Wno-ambiguous-reversed-operator -Wno-defaulted-function-deleted -Wno-deprecated-anon-enum-enum-conversion -Wno-deprecated-enum-enum-conversion -Wno-deprecated-enum-float-conversion -Wno-deprecated-volatile -Wno-pessimizing-move -Wno-undefined-var-template -nostdinc++ -DCATBOOST_OPENSOURCE=yes -nostdinc++

2025-10-23 13:07:41,883 - DEBUG - ya.test - _save_outputs: Command (pid 2757221) errors:

2025-10-23 13:07:41,884 - INFO - ydb.tests.library.harness.kikimr_runner - start: Node 1 version:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582
2025-10-23 13:07:41,895 - INFO - ya.test - pytest_runtest_call: Test call (class_name: test_parallel.py::TestTpchParallelS0_1T10, test_name: test[Query01])
2025-10-23 13:07:41,904 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:07:41,910 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes HTTP/1.1" 200 800
2025-10-23 13:07:41,915 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:24642
2025-10-23 13:07:41,918 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:07:41,928 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:24642 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 553
2025-10-23 13:07:41,930 - INFO - root - __create_iterations_table: All nodes before filtering: [('29520@ghrun-6mxvg3lfr4.auto.internal', <Role.UNKNOWN: 0>)]
2025-10-23 13:07:41,931 - INFO - root - __create_iterations_table: Auto-discovered hosts (all roles): 1 hosts from 1 total nodes
2025-10-23 13:07:41,931 - INFO - root - __create_iterations_table: Host to nodes mapping: [('ghrun-6mxvg3lfr4.auto.internal', 1)]
2025-10-23 13:07:41,932 - INFO - root - allure_test_description: iterations_table created, length: 513
2025-10-23 13:07:41,932 - INFO - root - allure_test_description: Added iterations table to description HTML
2025-10-23 13:07:41,935 - INFO - ya.test - pytest_runtest_teardown: Test teardown
